2005-02-28 01:22  maltes

	* packages/acs-content-repository/tcl/content-revision-procs.tcl:
	  Changed debugging message to level debug (from notice)

2005-02-27 17:47  joel

	* packages/:
	  acs-authentication/catalog/acs-authentication.en_AU.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.es_CO.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.en_AU.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_CO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.en_AU.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_CO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_GT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.en_AU.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_CO.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.en_AU.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.es_CO.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.en_AU.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_CO.ISO-8859-1.xml: [no
	  log message]

2005-02-27 09:41  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/upgrade/upgrade-5.1.5d3-5.1.5d4.sql: Fix bug#2298.
	  Create content_revision__del

2005-02-27 09:38  daveb

	*
	  packages/acs-content-repository/sql/postgresql/upgrade/upgrade-5.1.5d3-5.1.5d4.sql:
	  Move file to correct name for upgrade.

2005-02-23 02:51  timoh

	* packages/acs-content-repository/tcl/content-revision-procs.tcl:
	  bugfix: provide default for variable lob_values

2005-02-23 02:24  timoh

	* packages/acs-content-repository/tcl/:
	  content-revision-procs-oracle.xql, content-revision-procs.tcl:
	  bugfix: fixed bug with lob-columns in attributes

2005-02-21 12:25  torbenb

	* etc/config.tcl: adding comment (from jcdldn in irc) about special
	  case ip 0.0.0.0

2005-02-21 11:53  torbenb

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  adding instructions to use both INST=/point/to/aolserver and
	  AOLSERVER=/point/to/aolserver. By using both, helps prevent any
	  overwrite of an existing installation of another version during
	  this period of transition.

2005-02-21 02:57  torbenb

	* etc/config.tcl: adding a security comment to ns_param maxinput
	  since the default value was recently increased by a factor of 10.

2005-02-18 20:11  torbenb

	* packages/acs-core-docs/www/xml/install-guide/openacs.xml: backing
	  out a change I made, because it does not work well for the action
	  copy-paste version. Instead, adding the full pathname for
	  createdb and an explanation why the instruction uses
	  fullpathname, when it would not be necessary for user pgsql

2005-02-18 12:41  torbenb

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  fixing freebsd note typo, updating some aolserver module builds
	  that were using INST=  to AOLSERVER=

2005-02-16 07:55  andrewg

	* packages/acs-tcl/tcl/: apm-procs.tcl, apm-procs.xql: Don't call
	  site_nodes_sync from apm_package_rename.  site_nodes_sync
	  rebuilds the entire site_nodes cache, which takes large sites,
	  such as .LRN sites with tens of thousands of site nodes,
	  completely offline for several minutes.  Instead, update the
	  cache for the specific node(s) at which the package is mounted.

2005-02-16 02:03  torbenb

	* packages/acs-core-docs/www/xml/install-guide/openacs.xml: I
	  neglected to change the prompt context to match the adjustments
	  made a few minutes ago

2005-02-16 02:01  torbenb

	* packages/acs-core-docs/www/openacs.html: making fix here in
	  addition to the xml, in case the html is not regenerated before
	  the 5.1.5 release

2005-02-16 00:48  torbenb

	* packages/acs-core-docs/www/xml/install-guide/openacs.xml:
	  creating database should be from user: postgres, not servicename
	  to be consistent with rest of the docs

2005-02-15 16:14  victorg

	* packages/acs-content-repository/sql/:
	  oracle/upgrade/upgrade-5.1.2d6-5.1.2d7.sql,
	  postgresql/upgrade/upgrade-5.1.2d6-5.1.2d7.sql: Commented the
	  creation of the index cr_items_name, already existed

2005-02-15 09:12  donb

	* packages/acs-content-repository/tcl/: content-folder-procs.tcl,
	  test/content-item-test-procs.tcl: Daveb fixed broken 5.1 code and
	  tests

2005-02-14 11:45  daveb

	*
	  packages/acs-content-repository/tcl/test/content-revision-test-procs.tcl:
	  Fix test to work on Oracle with BLOB content.

2005-02-12 07:35  daveb

	* packages/acs-content-repository/tcl/filter-procs.tcl: Fix
	  erroneous commit that merged in changes. This should effectively
	  revert to 1.16.2.5 version that was intended with the previous
	  commit.

2005-02-12 06:38  daveb

	* packages/acs-content-repository/tcl/filter-procs.tcl: Revert
	  change to content::init. Custom code belongs in file-storage.

2005-02-11 23:26  maltes

	* packages/acs-content-repository/tcl/filter-procs.tcl: Fixing the
	  problem caused by the upgrade for filestorage that exchanges name
	  and title. This should neither change behaviour nor decrease
	  performance, therefore I commit without a TIP

2005-02-11 11:59  daveb

	* packages/acs-core-docs/www/install-full-text-search-openfts.html:
	  Move openfts to make room for tsearch2.

2005-02-11 11:59  daveb

	*
	  packages/acs-core-docs/www/install-full-text-search-tsearch2.html:
	  Add tserach2 docs

2005-02-10 11:06  daveb

	*
	  packages/acs-content-repository/tcl/content-revision-procs-oracle.xql:
	  Switch to support oracle 8.1.6

2005-02-09 08:14  daveb

	* packages/acs-content-repository/tcl/:
	  content-revision-procs-oracle.xql,
	  content-revision-procs-postgresql.xql,
	  content-revision-procs.tcl, content-revision-procs.xql,
	  test/content-item-test-procs.tcl: Remove broken generic query.
	  Add correct Oracle specific blob compatible query.

2005-02-09 08:00  daveb

	*
	  packages/acs-content-repository/tcl/test/content-item-test-procs.tcl:
	  Fix test to work correctly in oracle.

2005-02-09 06:25  daveb

	* packages/acs-content-repository/tcl/: content-revision-procs.tcl,
	  content-revision-procs.xql: Update content column in a seperate
	  query to work correctly with Oracle.

2005-02-06 16:35  jader

	* etc/config.tcl: Bump up defaults for many Aolserver configuration
	  items based on forums conversation:
	  http://openacs.org/forums/message-view?message_id=260846

2005-02-06 16:26  jader

	* etc/keepalive/: keepalive-cron.sh, keepalive.sh: The keepalive
	  scripts need the path to the executables, unless the PATH is
	  included in the script.

2005-02-06 16:18  jader

	* etc/keepalive/keepalive-cron.sh: Added in a note linking to a
	  forum thread, in case there are problems.

2005-02-04 12:12  daveb

	* packages/acs-service-contract/: acs-service-contract.info,
	  tcl/implementation-procs.tcl, tcl/implementation-procs.xql: Add
	  optional contract paraemter to impl::get_id

2005-02-03 15:00  maltes

	* packages/acs-kernel/acs-kernel.info: 5.1.4 was already released,
	  so the next version for acs-kernel is 5.1.5d1

2005-02-03 12:36  joel

	* packages/acs-admin/www/users/: password-update.adp,
	  password-update.tcl: fixed breadcrumb in change password page

2005-02-03 12:36  joel

	* packages/acs-lang/www/admin/edit-localized-message.tcl: fix so
	  that original message is shown when editing english

2005-02-02 07:55  daveb

	* packages/acs-templating/tcl/parse-procs.tcl: Add Don's change
	  back in since the previous commits fix the other regexps to match
	  this one.

2005-02-02 07:39  daveb

	* packages/acs-templating/tcl/: tag-init.tcl, tag-procs.tcl,
	  util-procs.tcl: Merge from HEAD fixed to variable regular
	  expressions.	add recognizing array variables like @xx.y.z@ as
	  xx(y.z).  Note that the regexps show up in multiple places so any
	  changes to the @ var regexps should be made carefully.  In
	  particular if @x@ defined and if @x@ nil handle variables special
	  since they can't be derefrenced

2005-02-01 12:50  torbenb

	* packages/acs-core-docs/www/xml/non-xml/release-notes-4-6.html:
	  removed gremlin A0 characters

2005-02-01 12:46  torbenb

	* packages/acs-core-docs/www/xml/kernel/: apm-design.xml,
	  ext-auth.xml: temporary fix of doc images from creating urls that
	  return 404 errors to 302 errors (that work for many browsers and
	  client services)

2005-02-01 12:44  torbenb

	* packages/acs-core-docs/www/xml/install-guide/: configuring.xml,
	  maintenance.xml, recovery.xml, upgrade.xml: temporarily fixing
	  image urls to return 302 errors that work with most clients,
	  instead of current 404 errors

2005-02-01 12:40  torbenb

	* packages/acs-core-docs/www/xml/developers-guide/: i18n.xml,
	  tutorial-advanced.xml, tutorial-db.xml, tutorial-pages.xml,
	  tutorial.xml: temporary fix of doc images from creating urls that
	  return 404 errors to 302 errors

2005-01-30 23:49  torbenb

	* packages/acs-core-docs/www/xml/install-guide/postgres.xml: added
	  clarificaton to bison instructions

2005-01-30 23:29  timoh

	* packages/: acs-content-repository/acs-content-repository.info,
	  acs-content-repository/sql/oracle/content-folder.sql,
	  acs-content-repository/sql/oracle/content-item.sql,
	  acs-content-repository/sql/oracle/packages-create.sql,
	  acs-content-repository/sql/oracle/upgrade/upgrade-5.1.5d2-5.1.5d3.sql,
	  acs-kernel/acs-kernel.info,
	  acs-kernel/sql/oracle/acs-objects-create.sql,
	  acs-kernel/sql/oracle/upgrade/upgrade-5.1.4-5.1.4d1.sql: fixed
	  some upgrade scripts for oracle

2005-01-30 00:35  torbenb

	* packages/acs-core-docs/www/xml/developers-guide/rp.xml: fixing
	  image url

2005-01-30 00:31  torbenb

	* packages/acs-core-docs/www/xml/developers-guide/permissions.xml:
	  fixing image url

2005-01-28 15:39  jeffd

	* packages/acs-tcl/tcl/utilities-procs.tcl: add \r to Host header
	  in util_httpopen since http says headers hsould be \r\n

2005-01-28 09:10  jader

	* packages/acs-tcl/tcl/utilities-procs.tcl: Fix to httpopen, from
	  Nis Jorgensen. See:
	  http://openacs.org/forums/message-view?message_id=32667

2005-01-24 08:44  daveb

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  Add tsearch2 install. Deprecate Openfts install and link to
	  tsearch2 doc.

2005-01-22 13:42  jader

	* packages/acs-templating/tcl/widget-procs.tcl: Apply a patch 602
	  (slightly modified) to make party_search be optional when it is
	  declared to be optional. Fixes bug 2122.

2005-01-22 13:23  jader

	* etc/install/install.sh: Apply patch 622, makes install.sh respect
	  pg_db_user and UNICODE

2005-01-22 13:08  jader

	* www/blank-master.adp: Fixes bug 2238 by adding in css file for
	  developer support. The fix was made by Lars in March 2004 on
	  HEAD.

2005-01-21 12:38  daveb

	* packages/acs-content-repository/tcl/filter-procs.tcl: Fix
	  variable reference.

2005-01-21 12:35  daveb

	* packages/acs-content-repository/tcl/: filter-procs-oracle.xql,
	  filter-procs-postgresql.xql, filter-procs.tcl: Replace pl/sql
	  function in where clause with two queries (via Tcl API)

2005-01-20 18:16  donb

	* packages/acs-templating/: resources/lists/table.adp,
	  tcl/paginator-procs.tcl: Cleaned up display a bit ... if you say
	  "groupsize is 10" you now see a groupsize of 10 displayed not 11.
	  If groupsize is 1 you only get next/prev page nav widgets rather
	  than both page and group nav widgets.

2005-01-19 11:36  maltes

	* packages/acs-subsite/lib/login.adp: Added <div id=register-login>
	  so we could control the look of the login box via CSS (at least a
	  little)

2005-01-18 16:46  jader

	* etc/: analog.cfg, config.tcl: Log the request time as well. See:
	  http://panoptic.com/wiki/aolserver/nslog

2005-01-17 12:57  torbenb

	* packages/acs-core-docs/www/xml/engineering-standards/cvs.xml:
	  fixed cvs browser link, bug 2267

2005-01-17 06:53  maltes

	* www/site-master.adp: Added / for XHTML compliance

2005-01-17 04:09  maltes

	* www/blank-master.adp: Reverting forced switch to XHTML

2005-01-17 04:01  maltes

	* www/blank-master.adp: Modified to suit XHMTL 1.0 Transitional

2005-01-17 01:23  maltes

	* www/blank-master.adp: Added type to javascript as this was not
	  valid XHTML

2005-01-15 14:49  vivianh

	* packages/acs-subsite/www/site-map/: index.adp, index.tcl:
	  Checking if user site-wide-admin to show a link

2005-01-14 10:15  vivianh

	* packages/acs-subsite/www/admin/site-map/site-map.tcl: Context bar
	  and Allow button modified

2005-01-13 19:14  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-folder.sql,
	  sql/postgresql/upgrade/upgrade-5.1.4d4-5.1.4d5.sql,
	  sql/postgresql/upgrade/upgrade-5.1.5d1-5.1.5d2.sql,
	  tcl/content-folder-procs.tcl,
	  tcl/test/content-folder-test-procs.tcl: Fix
	  content_folder__is_subfolder pl/sql. Also fix tcl proc which was
	  passing in the wrong list format to package_exec_plsql. Add
	  upgrade script and tests.

2005-01-13 15:39  daveb

	* packages/acs-content-repository/tcl/: content-item-procs.tcl,
	  content-revision-procs.tcl, test/content-item-test-procs.tcl:
	  Revert to package_exec_plsql var_list list style for -attributes
	  parameters. Fix test and documentation.

2005-01-13 11:01  jader

	* packages/acs-subsite/www/admin/site-map/index.adp: Fix bug #2263.
	  Link to application new broken in site-map.

2005-01-13 01:32  timoh

	* packages/acs-templating/tcl/parse-procs.tcl: rolled back last
	  change in template::adp_array_variable_regexp since it broke
	  existing code

2005-01-12 17:27  daveb

	* packages/acs-content-repository/tcl/: content-revision-procs.tcl,
	  test/content-item-test-procs.tcl: Fix content::revision::new to
	  properly create subtypes of content_revision.

2005-01-12 15:55  timoh

	* packages/acs-templating/resources/forms/: blue.adp, coddo.adp,
	  configuration.adp, grid.adp, plain.adp, plainest.adp,
	  standard.adp, tiny-plain.adp, wizard.adp: bug in template
	  operator in (partial string compare) -> use seperate equality
	  test in template

2005-01-12 05:22  dedsc

	*
	  packages/acs-content-repository/sql/postgresql/content-folder.sql:
	  fix to return folder id present in upgrade. just putting it here
	  as well

2005-01-11 18:14  donb

	* packages/acs-subsite/www/permissions/perm-include-oracle.xql:
	  Grrr Oracle doesn't like long idents

2005-01-11 17:49  donb

	* packages/acs-subsite/www/permissions/: perm-include-oracle.xql,
	  perm-include-postgresql.xql: security_context_root is no longer
	  object 0

2005-01-11 17:38  donb

	* packages/acs-subsite/www/permissions/: perm-include-oracle.xql,
	  perm-include-postgresql.xql: Got rid of call to permission_p() in
	  WHERE clause, which Jeff thought he'd already done but which I've
	  not found in either 5.1 or HEAD.

2005-01-09 17:57  joel

	* packages/: acs-admin/acs-admin.info,
	  acs-api-browser/acs-api-browser.info,
	  acs-authentication/acs-authentication.info,
	  acs-automated-testing/acs-automated-testing.info,
	  acs-bootstrap-installer/acs-bootstrap-installer.info,
	  acs-content-repository/acs-content-repository.info,
	  acs-content-repository/tcl/test/content-item-test-procs.tcl,
	  acs-core-docs/acs-core-docs.info, acs-kernel/acs-kernel.info,
	  acs-lang/acs-lang.info, acs-mail/acs-mail.info,
	  acs-messaging/acs-messaging.info,
	  acs-reference/acs-reference.info,
	  acs-service-contract/acs-service-contract.info,
	  acs-subsite/acs-subsite.info, acs-tcl/acs-tcl.info,
	  acs-templating/acs-templating.info,
	  ref-timezones/ref-timezones.info, search/search.info: updates for
	  5.1.4, including package info files

2005-01-09 17:49  joel

	* ChangeLog, readme.txt: updates for 5.1.4

2005-01-09 17:44  joel

	* packages/acs-core-docs/www/: aolserver.html, aolserver4.html,
	  automated-testing-best-practices.html, backup-recovery.html,
	  bootstrap-acs.html, contributing-code.html, credits.html,
	  cvs-guidelines.html, cvs-resources.html, cvs-tips.html,
	  db-api-detailed.html, db-api.html, docbook-primer.html,
	  eng-standards-constraint-naming.html,
	  eng-standards-filenaming.html, eng-standards-plsql.html,
	  eng-standards-versioning.html, ext-auth-requirements.html,
	  filename.html, form-builder.html, i18n-convert.html, index.html,
	  install-cvs.html, install-daemontools.html,
	  install-full-text-search.html, install-next-nightly-vacuum.html,
	  install-nsopenssl.html, install-qmail.html, install-steps.html,
	  ix01.html, mac-installation.html, maintenance-web.html,
	  object-identity.html, objects.html, openacs-cvs-concepts.html,
	  openacs.html, oracle.html, packages.html, parties.html,
	  permissions-tediously-explained.html, permissions.html,
	  postgres.html, programming-with-aolserver.html,
	  psgml-for-emacs.html, psgml-mode.html, release-notes-4-5.html,
	  release-notes-4-6-2.html, release-notes-4-6-3.html,
	  release-notes-4-6.html, release-notes.html,
	  releasing-openacs-core.html, request-processor.html,
	  requirements-template.html, security-notes.html,
	  style-guide.html, subsites.html, tcl-doc.html, templates.html,
	  tutorial-css-layout.html, tutorial-cvs.html,
	  tutorial-database.html, tutorial-debug.html,
	  tutorial-distribute.html, tutorial-newpackage.html,
	  tutorial-pages.html, tutorial-second-database.html,
	  unix-installation.html, using-cvs-with-openacs.html,
	  variables.html, win2k-installation.html,
	  xml/developers-guide/tutorial-advanced.xml,
	  xml/install-guide/other-software.xml: updates for 5.1.4

2005-01-09 17:21  joel

	* packages/acs-core-docs/www/: acs-admin.html,
	  acs-package-dev.html, acs-plat-dev.html, aolserver.html,
	  aolserver4.html, apm-design.html, apm-requirements.html,
	  automated-testing-best-practices.html, backup-recovery.html,
	  bootstrap-acs.html, complete-install.html, credits.html,
	  cvs-tips.html, db-api-detailed.html, db-api.html,
	  doc-standards.html, docbook-primer.html,
	  eng-standards-constraint-naming.html,
	  eng-standards-filenaming.html, eng-standards-plsql.html,
	  eng-standards-versioning.html, ext-auth-requirements.html,
	  filename.html, form-builder.html, groups-design.html,
	  groups-requirements.html, high-avail.html, how-do-I.html,
	  i18n-convert.html, i18n-design.html, i18n-introduction.html,
	  i18n-overview.html, i18n-requirements.html,
	  i18n-translators.html, i18n.html, index.html,
	  individual-programs.html, install-cvs.html,
	  install-daemontools.html, install-full-text-search.html,
	  install-next-add-server.html, install-next-nightly-vacuum.html,
	  install-openacs-keepalive.html, install-qmail.html,
	  install-redhat.html, install-steps.html, ix01.html,
	  kernel-doc.html, kernel-overview.html, mac-installation.html,
	  maint-performance.html, maintenance-deploy.html,
	  maintenance-web.html, nxml-mode.html, object-identity.html,
	  object-system-design.html, object-system-requirements.html,
	  objects.html, openacs-unpack.html, openacs.html, oracle.html,
	  packages.html, parties.html, permissions-design.html,
	  permissions-requirements.html,
	  permissions-tediously-explained.html, permissions.html,
	  postgres.html, programming-with-aolserver.html,
	  psgml-for-emacs.html, psgml-mode.html, release-notes-4-5.html,
	  release-notes-4-6-2.html, release-notes-4-6-3.html,
	  release-notes-4-6.html, release-notes.html,
	  releasing-openacs-core.html, releasing-openacs.html,
	  releasing-package.html, request-processor.html,
	  requirements-template.html, rp-design.html, rp-requirements.html,
	  security-design.html, security-notes.html,
	  security-requirements.html, style-guide.html,
	  subsites-design.html, subsites-requirements.html, subsites.html,
	  tcl-doc.html, templates.html, tutorial-css-layout.html,
	  tutorial-cvs.html, tutorial-database.html, tutorial-debug.html,
	  tutorial-distribute.html, tutorial-newpackage.html,
	  tutorial-pages.html, unix-installation.html,
	  update-repository.html, update-translations.html,
	  upgrade-4.5-to-4.6.html, upgrade-openacs-files.html,
	  upgrade-overview.html, variables.html, win2k-installation.html,
	  files/create-new-catalog.sh, files/dotlrn-style-1.html,
	  files/dotlrn-style-2.html, images/dotlrn-style-1.png,
	  images/dotlrn-style-2.png, images/dotlrn-style-3.png,
	  xml/index.xml, xml/variables.ent,
	  xml/engineering-standards/cvs.xml,
	  xml/for-everyone/release-notes.xml,
	  xml/install-guide/aolserver4.xml: updating docs for 5.1.4

2005-01-09 16:41  donb

	* packages/acs-templating/tcl/parse-procs.tcl: Daveb made a change
	  to the noquote regexp used to recognize array vars, but didn't
	  make the change to the "normal" version of the proc.	His own
	  test case caught it, I assume he must've caught it but forgot to
	  commit ...

2005-01-09 15:00  daveb

	* packages/acs-content-repository/tcl/content-revision-procs.tcl:
	  Fix call to content::item::content_type

2005-01-09 13:59  daveb

	* packages/acs-content-repository/tcl/: content-item-procs.tcl,
	  content-item-procs.xql, content-revision-procs.tcl,
	  test/content-item-test-procs.tcl: Add content::item::get. Add
	  test case support for it.

2005-01-09 13:01  joel

	*
	  packages/acs-content-repository/tcl/test/content-item-test-procs.tcl:
	  renamed bad_string to evil_string

2005-01-09 12:36  joel

	*
	  packages/acs-content-repository/tcl/test/content-item-test-procs.tcl:
	  extended test case for content items

2005-01-07 16:32  daveb

	* packages/acs-content-repository/tcl/content-symlink-procs.tcl:
	  Make creation_date optional for content::symlink::new

2005-01-06 19:03  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-item.sql,
	  sql/postgresql/upgrade/upgrade-5.1.4d6-5.1.4d7.sql: Fix define
	  function args for content_item__set_live revision

2005-01-06 10:43  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-template.sql,
	  sql/postgresql/upgrade/upgrade-5.1.4d5-5.1.4d6.sql: Fix define
	  function args for content_template__new to use the 8 parameter
	  version.

2005-01-06 10:30  donb

	* packages/acs-subsite/tcl/package-procs-oracle.xql: Misspelled the
	  query name for calling an Oracle function in
	  package_exec_plsql...

2005-01-06 10:06  daveb

	* packages/acs-content-repository/tcl/content-keyword-procs.tcl:
	  Creation_date and object_type are optional with defaults.

2005-01-06 09:48  daveb

	* packages/acs-content-repository/tcl/content-folder-procs.tcl:
	  Don't pass creation_date on new unless its  not null.

2005-01-06 08:54  daveb

	* packages/acs-content-repository/tcl/content-item-procs.tcl: Fix
	  delete command to use plsql "del"

2005-01-06 08:38  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/upgrade/upgrade-5.1.4d4-5.1.4d5.sql: Create __del
	  functions to match oracle.

2005-01-06 08:31  daveb

	* packages/acs-content-repository/sql/postgresql/:
	  content-item.sql, content-revision.sql, content-template.sql: Add
	  __del function to match oracle so package_exec_plsql will work

2005-01-05 07:52  jader

	* packages/acs-authentication/tcl/authentication-procs.tcl: Fix bug
	  2200 and bug 2242 in which there were problems with logging in
	  after upgrading if you restarted the server first. The new code
	  is less elegant, but it works correctly. It imposes a database
	  hit on login, but it is cached, so it only is incurred once.

2005-01-03 09:26  daveb

	* packages/acs-templating/tcl/parse-procs.tcl: Roll back change to
	  regular array variable regexp. Only noquote regexp needed to be
	  changed.

2005-01-03 08:38  daveb

	* packages/acs-content-repository/tcl/: content-item-procs.tcl,
	  content-type-procs.tcl, test/content-item-test-procs.tcl: Make
	  id_column and table_name required for content::type::new.  Fix
	  content::item::new to properly create a subtype of content
	  revision based on the content_type paramter is attributes, title
	  or text is specified.

2005-01-02 21:28  jader

	* packages/acs-authentication/tcl/authentication-procs.tcl: The
	  user-new page called a proc in the authentications package which
	  checked to see if a parameter was set or not. However, in
	  upgraded sites, or if the user had entered a blank entry for the
	  parameter, the proc would bomb.  I made the proc more robust by
	  using string is false instead of ![parameter...  and also added
	  in a util_user_message to make it more explicit what is happening
	  if you aren't able to register (the behavior was very confusing).

2005-01-01 10:45  daveb

	* packages/acs-templating/tcl/: parse-procs.tcl,
	  test/parse-test-procs.tcl: Allow adp array variable regexp to
	  work with arrays with . in the key names. This happens when a
	  formerror is generated on a form element where the element name
	  has an embedded . so it can be interpreted as an array when
	  processing the form. Added test cases.

2004-12-30 13:01  daveb

	* packages/acs-content-repository/tcl/: content-item-procs.tcl,
	  test/content-item-test-procs.tcl: Clarify documenation for
	  content::item::new and add test cases to ensure a new revision
	  can be created.  Fixes bug#2232

2004-12-30 05:58  daveb

	* packages/search/www/search.tcl: Back out inefficient permission
	  checking.

2004-12-30 04:01  maltes

	* packages/search/: catalog/search.en_US.ISO-8859-1.xml,
	  www/advanced-search.adp, www/advanced-search.tcl, www/index.adp,
	  www/search.adp, www/search.tcl: Internationalization of the
	  Search Package

2004-12-30 03:14  maltes

	* packages/search/www/search.tcl: Limit Search results only to
	  results a user actually has read permission

2004-12-29 12:46  daveb

	* packages/acs-content-repository/tcl/content-type-procs.tcl: Add
	  documentation for column_spec of content::type::attribute::new

2004-12-29 07:35  daveb

	* packages/acs-content-repository/tcl/content-template-procs.tcl:
	  Only pass creation_date if it is not empty.

2004-12-29 07:28  joel

	* etc/config.tcl: took my name out

2004-12-29 07:26  daveb

	*
	  packages/acs-content-repository/sql/postgresql/upgrade/upgrade-5.1.4d3-5.1.4d4.sql:
	  Set default for creation_date in content_template__new

2004-12-29 07:19  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/upgrade/upgrade-5.1.4d3-5.1.4d4.sql: Return new
	  folder_id from content_folder__new

2004-12-27 12:47  joel

	* packages/acs-tcl/tcl/00-database-procs.tcl: removed some obsolete
	  comments and added a link

2004-12-27 12:40  joel

	* etc/config.tcl: added link to documentation for second database

2004-12-27 12:38  joel

	* packages/acs-core-docs/www/: tutorial-advanced.html,
	  tutorial-future-topics.html, tutorial-schedule-procs.html: added
	  instructions for 2nd database access

2004-12-27 12:29  joel

	* packages/acs-core-docs/www/: tutorial-second-database.html,
	  xml/developers-guide/tutorial-advanced.xml: added instructions
	  for 2nd database access

2004-12-25 19:31  joel

	* packages/acs-core-docs/www/files/nsd-postgres.txt: moved the
	  extra lib link from a comment to the lib path; it shouldn't
	  affect performance and it will save others (like me) the time to
	  diagnose and find this fix)

2004-12-25 13:33  donb

	* packages/acs-subsite/tcl/: package-procs-oracle.xql,
	  package-procs-postgresql.xql, package-procs.tcl: Fixed
	  package_exec_plsql so it works with Oracle procedures as well as
	  functions (PG only has functions so was working fine for all
	  cases)

2004-12-23 01:48  jarkko

	* packages/acs-tcl/tcl/utilities-procs.tcl: Importing updated
	  Simulation 1.0.1 and fixed ad_returnredirect to accept html
	  switch (for not quoting the message relayed).

2004-12-22 23:26  maltes

	* packages/acs-lang/www/admin/set-system-timezone.tcl: Applied
	  patch #619.Fixes timezone problem with timeanddate.com format

2004-12-22 08:13  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-folder.sql,
	  sql/postgresql/upgrade/upgrade-5.1.4d2-5.1.4d3.sql: Set
	  package_id from content_folder__new

2004-12-21 10:22  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-extlink.sql,
	  sql/postgresql/content-folder.sql,
	  sql/postgresql/content-item.sql,
	  sql/postgresql/content-revision.sql,
	  sql/postgresql/content-symlink.sql,
	  sql/postgresql/content-type.sql,
	  sql/postgresql/upgrade/upgrade-5.1.4d1-5.1.4d2.sql,
	  tcl/content-extlink-procs.tcl, tcl/content-folder-procs.tcl,
	  tcl/content-item-procs.tcl, tcl/content-keyword-procs.tcl,
	  tcl/content-revision-procs.tcl, tcl/content-symlink-procs.tcl,
	  tcl/content-template-procs.tcl, tcl/content-type-procs.tcl,
	  tcl/test/content-item-test-procs.tcl,
	  tcl/test/content-revision-test-procs.tcl: Add CR Tcl API from
	  HEAD.

2004-12-19 17:58  daveb

	* packages/acs-templating/resources/forms/inline.adp: Inline form
	  with widget and button on the same line for really simple forms
	  such as filters for listbuilder.

2004-12-18 16:10  donb

	* packages/acs-templating/tcl/list-procs.tcl: Oops, a tiny blunder
	  in my previous update, returned an illegal SQL snippet if there
	  were no IDs selected.  The list builder should cleverly refuse to
	  do the query in this case, but we'll settle for it doing a SELECT
	  that returns nothing for now.

2004-12-17 16:42  joel

	* packages/acs-admin/tcl/: apm-admin-init.tcl, apm-admin-procs.tcl:
	  converted build-repository.tcl to a proc and init

2004-12-17 14:49  vivianh

	* packages/acs-subsite/www/admin/site-map/allow-for-view.tcl:
	  Adding child to parent select in checkbox list

2004-12-17 11:19  jader

	* packages/acs-subsite/www/doc/images.html: Add in new up and down
	  images to images documentation page.

2004-12-17 09:54  vivianh

	* packages/acs-subsite/www/shared/community-member.tcl: bringing
	  back previous tcl version :)

2004-12-17 09:49  vivianh

	* packages/acs-subsite/www/shared/: community-member.tcl,
	  community-member-oracle.xql, community-member-postgresql.xql:
	  bringing back previous version

2004-12-17 09:40  vivianh

	* packages/acs-subsite/www/shared/community-member.adp: bringing
	  back previous version

2004-12-17 09:35  vivianh

	* packages/acs-subsite/www/pvt/home.xql: bringing back previous
	  version

2004-12-17 09:24  vivianh

	* packages/acs-subsite/www/pvt/: home.adp, home.tcl: bringing back
	  previous version

2004-12-17 08:53  vivianh

	* packages/acs-subsite/www/index.adp: adding users site map button

2004-12-17 08:49  vivianh

	* packages/acs-subsite/www/admin/site-map/site-map.tcl: adding
	  bold, images and spaces

2004-12-17 08:35  vivianh

	* packages/acs-subsite/www/site-map/index.tcl: Adding images, urls
	  and more spaces

2004-12-17 08:31  vivianh

	* packages/acs-subsite/catalog/: acs-subsite.en_US.ISO-8859-1.xml,
	  acs-subsite.es_ES.ISO-8859-1.xml: Adding users site map message

2004-12-17 08:23  vivianh

	* packages/acs-subsite/www/resources/: down.gif, up.gif: UP/DOWN
	  images for users site map

2004-12-17 08:14  vivianh

	* packages/acs-subsite/www/shared/: community-member.adp,
	  community-member.tcl: Check if parameter ShowEmailP is set to 1
	  to allow users to show or hide their email

2004-12-17 08:13  vivianh

	* packages/acs-subsite/www/shared/: community-member-oracle.xql,
	  community-member-postgresql.xql: query to show-email field in
	  users table added

2004-12-17 08:07  vivianh

	* packages/acs-subsite/www/pvt/: home.adp, home.tcl, home.xql:
	  Allows the user to choice if they want to show or hide their
	  e-mail and ShowEmailP parameter check

2004-12-17 08:06  vivianh

	* packages/acs-subsite/www/pvt/: hide-email.tcl, hide-email.xql:
	  Allows the user to choice if they want to show or hide their
	  e-mail

2004-12-15 14:40  jader

	* packages/acs-subsite/www/doc/images.html: Add in xml.gif to doc
	  page which shows all the images.

2004-12-14 07:51  eduardop

	* packages/acs-content-repository/tcl/content-type-procs.tcl: the
	  former commit left the code broken

2004-12-13 08:44  andrewg

	* packages/acs-subsite/www/resources/xml.gif: Adding.

2004-12-12 12:15  daveb

	* packages/acs-templating/tcl/spellcheck-procs.tcl: Skip validation
	  when a widget is in spellcheck mode.

2004-12-12 04:15  maltes

	* etc/backup.sh: Added backing up the database on another server

2004-12-08 19:58  donb

	* packages/acs-templating/tcl/list-procs-oracle.xql: Oracle testing
	  uncovered a missing parenthesis.  Don't you wish EVERYONE tested
	  their changes under Oracle as well as PG?

2004-12-08 19:52  donb

	* packages/acs-templating/tcl/: list-procs-oracle.xql,
	  list-procs-postgresql.xql: Oops forgot the ever-so-important .xql
	  files!

2004-12-08 19:48  donb

	* packages/acs-templating/tcl/: acs-templating-init.tcl,
	  list-procs.tcl, paginator-procs.tcl: Greatly sped up pagination
	  in the list builder.

	  1. The list builder builds a separate (optionally cached)
	  paginator for each page group, rather than each list.  No more
	  filling of the Tcl cache with (say) 5500 forum entries when we
	  know that users rarely march through the entire list of forums.

	  2. Since the list builder builds an "in (list of ids)" query
	  clause to select just those rows needed for this display page,
	  there's no reason to sort the list of ids so I'm building the
	  list within the list builder rather than using the more
	  generalized paginator code.  Minor speedup ...

	  This could probably be sped up more by simply caching the list of
	  keys within the list builder and replicating some other paginator
	  functionality in lightweight form specific to the list builder,
	  but this will do for now.  And maybe forever.

2004-12-08 15:27  richardh

	* packages/acs-subsite/www/permissions/perm-include.tcl: Reverse
	  previous commit - fix was actually in catalog. There was a
	  duplicate value for 'Remove' and no 'Remove_All'.

2004-12-08 15:20  richardh

	* packages/acs-subsite/catalog/acs-subsite.en_US.ISO-8859-1.xml:
	  The key 'Remove' had two values 'Remove' and 'Remove_All'. Have
	  now changed the second 'Remove' key to 'Remove_All' and have
	  removed the underscore from the value.

2004-12-08 14:49  richardh

	* packages/acs-subsite/www/permissions/perm-include.tcl: Correct
	  message key 'acs-subsite.Remove_All' to acs-subsite.Remove' to
	  eliminate MISSING KEY message.

2004-12-07 09:43  alfredw

	* packages/acs-content-repository/tcl/content-type-procs.tcl:
	  Changed content::type::create_attribute and drop_attribute to the
	  content::type::attribute::new and ::delete style.

2004-12-07 00:28  alfredw

	* packages/acs-content-repository/tcl/content-symlink-procs.tcl:
	  renamed ::del to ::delete

2004-12-07 00:24  alfredw

	* packages/acs-content-repository/tcl/content-item-procs.tcl:
	  updated a return type

2004-12-07 00:09  alfredw

	* packages/acs-content-repository/tcl/content-revision-procs.tcl:
	  renamed ::del to ::delete

2004-12-07 00:07  alfredw

	* packages/acs-content-repository/tcl/content-extlink-procs.tcl:
	  Copied ::new logic to content::extlink, added deprecated tags.

2004-12-06 23:53  alfredw

	* packages/acs-content-repository/tcl/content-extlink-procs.tcl:
	  renamed ::del to ::delete

2004-12-06 23:50  alfredw

	* packages/acs-content-repository/tcl/content-type-procs.tcl:
	  changed create_type to ::new and drop_type to ::delete made
	  use_context default to "public" rather than be required in all
	  cases.  added return values, and @see tags

2004-12-06 23:13  alfredw

	* packages/acs-content-repository/tcl/content-template-procs.tcl:
	  Added return values and a @throws value.

2004-12-06 22:58  alfredw

	* packages/acs-content-repository/tcl/content-keyword-procs.tcl:
	  Added return values, changed content::keyword::del to ::delete

2004-12-06 22:23  alfredw

	* packages/acs-content-repository/tcl/content-folder-procs.tcl:
	  Added return values and other general cleanup.  .

2004-12-06 04:02  timoh

	* packages/acs-content-repository/tcl/content-template-procs.tcl:
	  added parameter package_id to template::new

2004-12-06 04:02  timoh

	* packages/acs-content-repository/tcl/content-type-procs.tcl: added
	  translation of database specific column-specs to other database
	  format

2004-12-05 01:49  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/eng-standards-versioning.xml:
	  added package maturity standards section per
	  http://openacs.org/forums/message-view?message_id=160957 using
	  tag conventions found in existing packages

2004-12-04 22:24  torbenb

	* etc/config.tcl: re-arranged sections according to Configuration
	  File Hierarchy http://aolserver.com/docs/admin/config.html#3 and
	  http://aolserver.com/docs/admin/config-reference.tcl.txt and
	  reformatted spacing for readibility. No parameter changes made

2004-12-04 18:03  torbenb

	* etc/config.tcl: adding missing params, more annotation

2004-12-04 17:21  torbenb

	* packages/acs-core-docs/www/xml/install-guide/openacs.xml: typo
	  correction

2004-12-04 17:20  torbenb

	* packages/acs-core-docs/www/xml/install-guide/maintenance.xml:
	  adding absolute pathname to svgroup since /usr/local/bin is not
	  necessarily in the default root pathnames

2004-12-02 15:22  jader

	* packages/acs-core-docs/www/xml/engineering-standards/cvs.xml:
	  Changed tag for releasing from oacs-5-1-compat to
	  openacs-5-1-compat

2004-12-01 17:58  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  fixing broken links

2004-12-01 02:42  maltes

	* www/robots.txt: initial import of the openacs.org files to the
	  openacs-org branch.

2004-11-30 13:43  joel

	* packages/acs-core-docs/www/: contributing-code.html,
	  releasing-package.html, xml/releasing-openacs.xml,
	  xml/engineering-standards/cvs.xml: more fixes to adding packages

2004-11-30 12:58  joel

	* packages/acs-core-docs/www/: xml/engineering-standards/cvs.xml,
	  contributing-code.html: fixing typos and tidying up

2004-11-29 11:25  joel

	* packages/acs-core-docs/www/xml/releasing-openacs.xml: making
	  harmless white-space change to help Branimir test new mailing
	  list

2004-11-29 09:38  jader

	* packages/acs-templating/tcl/list-procs.tcl: Add reference to how
	  to sort hierarchical queries with list-builder.

2004-11-26 17:32  joel

	* ChangeLog, readme.txt, packages/acs-admin/acs-admin.info,
	  packages/acs-api-browser/acs-api-browser.info,
	  packages/acs-authentication/acs-authentication.info,
	  packages/acs-automated-testing/acs-automated-testing.info,
	  packages/acs-bootstrap-installer/acs-bootstrap-installer.info,
	  packages/acs-content-repository/acs-content-repository.info,
	  packages/acs-core-docs/acs-core-docs.info,
	  packages/acs-core-docs/www/acs-admin.html,
	  packages/acs-core-docs/www/aolserver.html,
	  packages/acs-core-docs/www/aolserver4.html,
	  packages/acs-core-docs/www/automated-testing-best-practices.html,
	  packages/acs-core-docs/www/backup-recovery.html,
	  packages/acs-core-docs/www/bootstrap-acs.html,
	  packages/acs-core-docs/www/complete-install.html,
	  packages/acs-core-docs/www/contributing-code.html,
	  packages/acs-core-docs/www/credits.html,
	  packages/acs-core-docs/www/cvs-guidelines.html,
	  packages/acs-core-docs/www/cvs-tips.html,
	  packages/acs-core-docs/www/db-api-detailed.html,
	  packages/acs-core-docs/www/db-api.html,
	  packages/acs-core-docs/www/docbook-primer.html,
	  packages/acs-core-docs/www/eng-standards-constraint-naming.html,
	  packages/acs-core-docs/www/eng-standards-filenaming.html,
	  packages/acs-core-docs/www/eng-standards-plsql.html,
	  packages/acs-core-docs/www/eng-standards-versioning.html,
	  packages/acs-core-docs/www/ext-auth-requirements.html,
	  packages/acs-core-docs/www/filename.html,
	  packages/acs-core-docs/www/form-builder.html,
	  packages/acs-core-docs/www/high-avail.html,
	  packages/acs-core-docs/www/how-do-I.html,
	  packages/acs-core-docs/www/i18n-convert.html,
	  packages/acs-core-docs/www/index.html,
	  packages/acs-core-docs/www/individual-programs.html,
	  packages/acs-core-docs/www/install-cvs.html,
	  packages/acs-core-docs/www/install-daemontools.html,
	  packages/acs-core-docs/www/install-full-text-search.html,
	  packages/acs-core-docs/www/install-ldap-radius.html,
	  packages/acs-core-docs/www/install-next-add-server.html,
	  packages/acs-core-docs/www/install-next-nightly-vacuum.html,
	  packages/acs-core-docs/www/install-nsopenssl.html,
	  packages/acs-core-docs/www/install-openacs-keepalive.html,
	  packages/acs-core-docs/www/install-qmail.html,
	  packages/acs-core-docs/www/install-redhat.html,
	  packages/acs-core-docs/www/install-steps.html,
	  packages/acs-core-docs/www/ix01.html,
	  packages/acs-core-docs/www/mac-installation.html,
	  packages/acs-core-docs/www/maint-performance.html,
	  packages/acs-core-docs/www/maintenance-deploy.html,
	  packages/acs-core-docs/www/maintenance-web.html,
	  packages/acs-core-docs/www/object-identity.html,
	  packages/acs-core-docs/www/objects.html,
	  packages/acs-core-docs/www/openacs-cvs-concepts.html,
	  packages/acs-core-docs/www/openacs-unpack.html,
	  packages/acs-core-docs/www/openacs.html,
	  packages/acs-core-docs/www/oracle.html,
	  packages/acs-core-docs/www/packages.html,
	  packages/acs-core-docs/www/parties.html,
	  packages/acs-core-docs/www/permissions-tediously-explained.html,
	  packages/acs-core-docs/www/permissions.html,
	  packages/acs-core-docs/www/postgres.html,
	  packages/acs-core-docs/www/programming-with-aolserver.html,
	  packages/acs-core-docs/www/psgml-for-emacs.html,
	  packages/acs-core-docs/www/psgml-mode.html,
	  packages/acs-core-docs/www/release-notes-4-5.html,
	  packages/acs-core-docs/www/release-notes-4-6-2.html,
	  packages/acs-core-docs/www/release-notes-4-6-3.html,
	  packages/acs-core-docs/www/release-notes-4-6.html,
	  packages/acs-core-docs/www/release-notes.html,
	  packages/acs-core-docs/www/releasing-openacs-core.html,
	  packages/acs-core-docs/www/request-processor.html,
	  packages/acs-core-docs/www/requirements-template.html,
	  packages/acs-core-docs/www/security-notes.html,
	  packages/acs-core-docs/www/style-guide.html,
	  packages/acs-core-docs/www/subsites.html,
	  packages/acs-core-docs/www/tcl-doc.html,
	  packages/acs-core-docs/www/templates.html,
	  packages/acs-core-docs/www/tutorial-css-layout.html,
	  packages/acs-core-docs/www/tutorial-cvs.html,
	  packages/acs-core-docs/www/tutorial-database.html,
	  packages/acs-core-docs/www/tutorial-debug.html,
	  packages/acs-core-docs/www/tutorial-distribute.html,
	  packages/acs-core-docs/www/tutorial-newpackage.html,
	  packages/acs-core-docs/www/tutorial-pages.html,
	  packages/acs-core-docs/www/tutorial-specs.html,
	  packages/acs-core-docs/www/unix-installation.html,
	  packages/acs-core-docs/www/upgrade-4.5-to-4.6.html,
	  packages/acs-core-docs/www/upgrade-openacs-files.html,
	  packages/acs-core-docs/www/upgrade-overview.html,
	  packages/acs-core-docs/www/using-cvs-with-openacs.html,
	  packages/acs-core-docs/www/variables.html,
	  packages/acs-core-docs/www/win2k-installation.html,
	  packages/acs-core-docs/www/xml/releasing-openacs.xml,
	  packages/acs-core-docs/www/xml/variables.ent,
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml,
	  packages/acs-core-docs/www/xml/for-everyone/release-notes.xml,
	  packages/acs-core-docs/www/xml/install-guide/maintenance.xml,
	  packages/acs-core-docs/www/xml/install-guide/openacs.xml,
	  packages/acs-core-docs/www/xml/install-guide/other-software.xml,
	  packages/acs-core-docs/www/xml/install-guide/postgres.xml,
	  packages/acs-core-docs/www/xml/install-guide/software.xml,
	  packages/acs-kernel/acs-kernel.info,
	  packages/acs-lang/acs-lang.info, packages/acs-mail/acs-mail.info,
	  packages/acs-messaging/acs-messaging.info,
	  packages/acs-reference/acs-reference.info,
	  packages/acs-service-contract/acs-service-contract.info,
	  packages/acs-subsite/acs-subsite.info,
	  packages/acs-tcl/acs-tcl.info,
	  packages/acs-templating/acs-templating.info,
	  packages/ref-timezones/ref-timezones.info,
	  packages/search/search.info: doc updates and versioning for
	  openacs 5.1.3

2004-11-24 23:16  torbenb

	* packages/acs-core-docs/www/xml/install-guide/aolserver.xml:
	  adding test page for aolserver4, suggested by Aldert Nooitgedagt

2004-11-24 04:01  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added documentation strategy section

2004-11-24 02:13  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added marketing perspective to end-users docs, corrected spelling
	  mistakes

2004-11-23 23:53  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added developer documentation requirements

2004-11-23 20:28  joel

	* packages/acs-core-docs/www/: xml/releasing-openacs.xml,
	  releasing-openacs-core.html: fixed typo

2004-11-23 12:41  andrewg

	* www/site-master.adp: Adding a span around the Site Wide Admin
	  link so that .LRN can hide it via dotlrn-master.css.

2004-11-23 12:09  vivianh

	*
	  packages/acs-subsite/sql/postgresql/upgrade/upgrade-5.1.2-5.1.3.sql:
	  add support for upgrade

2004-11-23 12:07  vivianh

	* packages/acs-subsite/sql/postgresql/: acs-subsite-create.sql,
	  acs-subsite-drop.sql, site-node-selection-drop.sql,
	  site-node-selection.sql: add suppor table for site-map creation

2004-11-23 12:05  vivianh

	* packages/acs-subsite/sql/oracle/upgrade/upgrade-5.1.2-5.1.3.sql:
	  upgrade support

2004-11-23 12:04  vivianh

	* packages/acs-subsite/sql/oracle/: acs-subsite-drop.sql,
	  site-node-selection-drop.sql: drop support

2004-11-23 12:01  vivianh

	* packages/acs-subsite/sql/oracle/: acs-subsite-create.sql,
	  site-node-selection.sql: add table to support site-map creation

2004-11-23 10:49  vivianh

	* packages/acs-subsite/www/admin/site-map/: allow-for-view.tcl,
	  allow-for-view.xql, site-map-oracle.xql, site-map-postgresql.xql,
	  site-map.adp, site-map.tcl: add files to support site-map
	  creation

2004-11-23 10:46  vivianh

	* packages/acs-subsite/www/admin/site-map/index.adp: add link for
	  build site-map

2004-11-23 10:43  vivianh

	* packages/acs-subsite/www/site-map/: index-oracle.xql,
	  index-postgresql.xql, index.adp, index.tcl: Site map viw
	  interface

2004-11-23 10:28  vivianh

	* packages/acs-subsite/www/resources/default-master.css: add css
	  for new calendar widget

2004-11-23 10:28  vivianh

	* packages/acs-subsite/www/resources/core.js: add Javascript for
	  new calendar widget

2004-11-22 16:29  enriquec

	* www/blank-master.tcl: Adding the option Hide/Show toolbar in
	  /dotlrn/admin. Fixing the "Error include" message when the
	  installation of .lrn is done.

2004-11-22 14:14  enriquec

	* www/: blank-master.adp, blank-master.tcl: Adding include and link
	  html tags if dotlrn is installed and if the dotlrn toolbar is
	  enabled. I followed the same way as acs developper support
	  toolbar.

2004-11-21 11:32  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added developer tutorial documentation requirements

2004-11-20 12:07  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added installation documenation requirements

2004-11-19 21:08  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  added administration documenation requirements

2004-11-19 13:46  jader

	* packages/acs-subsite/www/user/portrait/upload-2.tcl: Applying
	  patch 617 for bug 2161, courtesy of Carsten Clasohm.

2004-11-18 13:48  jader

	* packages/acs-admin/www/server-restart.adp: Fix link to APM

2004-11-18 13:46  jader

	* packages/acs-admin/www/server-restart.adp: Add link to APM

2004-11-18 12:27  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  changing package status url to most recent version

2004-11-18 11:01  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  fixing typos

2004-11-18 10:53  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  adding end-user requirements section

2004-11-18 08:17  gerardom

	* packages/acs-tcl/tcl/security-procs.tcl: fixing bugs in procs to
	  redirect to insecure url

2004-11-18 01:00  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  corrected error, converted lt,gt signs to entities within
	  programlisting tag

2004-11-17 12:32  torbenb

	*
	  packages/acs-core-docs/www/xml/engineering-standards/docbook-primer.xml:
	  adding some docs about documentation development into existing
	  meta docs

2004-11-16 09:09  jader

	* packages/acs-core-docs/www/xml/:
	  developers-guide/permissions.xml,
	  developers-guide/submissions.xml, engineering-standards/cvs.xml,
	  install-guide/openacs.xml, install-guide/other-software.xml,
	  install-guide/upgrade.xml: Updating the CVS references from
	  openacs.org to cvs.openacs.org

2004-11-15 10:29  jader

	* packages/acs-api-browser/lib/search.adp: Add link to core and
	  package documentation.

2004-11-15 05:25  torbenb

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  added FreeBSD variant notes for daemontools and nsopenssl

2004-11-15 04:55  torbenb

	* packages/acs-core-docs/www/xml/install-guide/openacs.xml: added
	  FreeBSD variant notes.  changed a typo chgrp in action tag to
	  match chown in userinput section

2004-11-15 04:21  torbenb

	* packages/acs-core-docs/www/xml/install-guide/: os.xml,
	  software.xml: Added note to use fetch instead of wget when
	  installing on freebsd

2004-11-15 04:19  torbenb

	* packages/acs-core-docs/www/xml/install-guide/aolserver4.xml:
	  Added FreeBSD variant, and a brief section on howto check if an
	  existing tcl meets requirements

2004-11-15 03:06  torbenb

	* packages/acs-core-docs/www/xml/install-guide/postgres.xml:
	  correcting my earlier use of computeroutput tags to userinput
	  tags in tuning section

2004-11-15 01:50  torbenb

	* packages/acs-core-docs/www/xml/install-guide/postgres.xml:
	  Freebsd variant additions

2004-11-15 00:00  torbenb

	* packages/acs-core-docs/www/xml/install-guide/os.xml: clarifying
	  statements

2004-11-14 22:04  torbenb

	* packages/acs-core-docs/www/xml/install-guide/overview.xml: added
	  FreeBSD variant for copy paste convenience

2004-11-14 13:48  torbenb

	* packages/acs-core-docs/www/xml/install-guide/software.xml:
	  clarifications to page info

2004-11-14 12:55  torbenb

	* packages/acs-core-docs/www/xml/install-guide/overview.xml:
	  language clarifications

2004-11-11 14:40  jader

	* packages/acs-templating/tcl/date-procs.tcl: Improve robustness of
	  template::util::date::set_property proc for dealing with hours
	  that begin with a zero.

2004-11-11 14:06  jader

	* packages/acs-subsite/: lib/login.adp, lib/login.tcl,
	  www/register/recover-password.tcl: The registration/login pages
	  were not honoring the EmailForgottenPasswordP parameter. This
	  enforces that parameter, allowing admins to disable emailing out
	  passwords.

2004-11-08 11:58  joel

	* packages/acs-core-docs/www/: acs-package-dev.html,
	  acs-plat-dev.html, aolserver.html, aolserver4.html,
	  apm-design.html, apm-requirements.html,
	  automated-testing-best-practices.html, backup-recovery.html,
	  bootstrap-acs.html, contributing-code.html, credits.html,
	  cvs-guidelines.html, cvs-tips.html, db-api-detailed.html,
	  db-api.html, doc-standards.html, docbook-primer.html,
	  eng-standards-constraint-naming.html,
	  eng-standards-filenaming.html, eng-standards-plsql.html,
	  eng-standards-versioning.html, eng-standards.html,
	  ext-auth-requirements.html, filename.html, form-builder.html,
	  groups-design.html, groups-requirements.html, high-avail.html,
	  how-do-I.html, i18n-convert.html, i18n-design.html,
	  i18n-introduction.html, i18n-overview.html,
	  i18n-requirements.html, i18n-translators.html, i18n.html,
	  index.html, install-cvs.html, install-daemontools.html,
	  install-full-text-search.html, install-next-nightly-vacuum.html,
	  install-openacs-keepalive.html, install-qmail.html,
	  install-redhat.html, install-steps.html, ix01.html,
	  kernel-doc.html, kernel-overview.html, mac-installation.html,
	  maint-performance.html, maintenance-deploy.html,
	  maintenance-web.html, nxml-mode.html, object-identity.html,
	  object-system-design.html, object-system-requirements.html,
	  objects.html, openacs-cvs-concepts.html, openacs.html,
	  oracle.html, packages.html, parties.html,
	  permissions-design.html, permissions-requirements.html,
	  permissions-tediously-explained.html, permissions.html,
	  postgres.html, programming-with-aolserver.html,
	  psgml-for-emacs.html, psgml-mode.html, release-notes-4-5.html,
	  release-notes-4-6-2.html, release-notes-4-6-3.html,
	  release-notes-4-6.html, release-notes.html,
	  releasing-openacs-core.html, releasing-openacs.html,
	  releasing-package.html, request-processor.html,
	  requirements-template.html, rp-design.html, rp-requirements.html,
	  security-design.html, security-notes.html,
	  security-requirements.html, style-guide.html,
	  subsites-design.html, subsites-requirements.html, subsites.html,
	  tcl-doc.html, templates.html, tutorial-css-layout.html,
	  tutorial-cvs.html, tutorial-database.html, tutorial-debug.html,
	  tutorial-distribute.html, tutorial-newpackage.html,
	  tutorial-pages.html, unix-installation.html,
	  update-repository.html, update-translations.html,
	  upgrade-4.5-to-4.6.html, upgrade-openacs-files.html,
	  upgrade-overview.html, using-cvs-with-openacs.html,
	  variables.html, win2k-installation.html,
	  xml/releasing-openacs.xml, xml/engineering-standards/cvs.xml:
	  fixes to cvs, releasing openacs

2004-11-04 16:19  jader

	* packages/acs-subsite/lib/login.adp: Add a paragraph break to make
	  it easier to see how to register.

2004-11-04 15:33  jader

	* etc/analog.cfg: Fix path in analog configuration file.

2004-11-03 08:37  joel

	* packages/acs-core-docs/www/: contributing-code.html,
	  cvs-resources.html, index.html, openacs-cvs-concepts.html,
	  using-cvs-with-openacs.html, xml/engineering-standards/cvs.xml,
	  xml/index.xml: changed layout of CVS section

2004-11-02 15:16  giancarlol

	* packages/: acs-kernel/catalog/acs-kernel.it_IT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.it_IT.ISO-8859-1.xml: Replaced
	  HTML entities for special characters (Latin-1 supplement) with
	  ISO-8859-1 encoding.

2004-11-01 15:44  joel

	* packages/acs-core-docs/www/cvs-guidelines.html: added section on
	  using cvs

2004-11-01 15:39  joel

	* packages/acs-core-docs/www/: acs-admin.html,
	  acs-package-dev.html, acs-plat-dev.html, analog-install.html,
	  analog-setup.html, aolserver.html, aolserver4.html,
	  apm-design.html, apm-requirements.html, automated-backup.html,
	  automated-testing-best-practices.html, backup-recovery.html,
	  backups-with-cvs.html, bootstrap-acs.html, complete-install.html,
	  configuring-new-site.html, credits.html, cvs-tips.html,
	  database-management.html, db-api-detailed.html, db-api.html,
	  dev-guide.html, doc-standards.html, docbook-primer.html,
	  eng-standards-constraint-naming.html,
	  eng-standards-filenaming.html, eng-standards-plsql.html,
	  eng-standards-versioning.html, eng-standards.html,
	  ext-auth-requirements.html, filename.html, for-everyone.html,
	  form-builder.html, general-documents.html, groups-design.html,
	  groups-requirements.html, high-avail.html, how-do-I.html,
	  i18n-convert.html, i18n-design.html, i18n-introduction.html,
	  i18n-overview.html, i18n-requirements.html,
	  i18n-translators.html, i18n.html, index.html,
	  individual-programs.html, install-cvs.html,
	  install-daemontools.html, install-full-text-search.html,
	  install-more-software.html, install-next-add-server.html,
	  install-next-backups.html, install-next-nightly-vacuum.html,
	  install-nsopenssl.html, install-nspam.html,
	  install-openacs-delete-tablespace.html,
	  install-openacs-inittab.html, install-openacs-keepalive.html,
	  install-origins.html, install-overview.html,
	  install-pam-radius.html, install-php.html, install-qmail.html,
	  install-redhat.html, install-resources.html,
	  install-squirrelmail.html, install-ssl.html, install-steps.html,
	  install-tclwebtest.html, ix01.html, kernel-doc.html,
	  kernel-overview.html, mac-installation.html,
	  maint-performance.html, maintenance-deploy.html,
	  maintenance-web.html, nxml-mode.html, object-identity.html,
	  object-system-design.html, object-system-requirements.html,
	  objects.html, openacs-overview.html, openacs-unpack.html,
	  openacs.html, oracle.html, os-install.html, os-security.html,
	  packages.html, parties.html, permissions-design.html,
	  permissions-requirements.html,
	  permissions-tediously-explained.html, permissions.html,
	  postgres.html, profile-code.html,
	  programming-with-aolserver.html, psgml-for-emacs.html,
	  psgml-mode.html, release-notes-4-5.html,
	  release-notes-4-6-2.html, release-notes-4-6-3.html,
	  release-notes-4-6.html, release-notes.html,
	  releasing-openacs-core.html, releasing-openacs.html,
	  releasing-package.html, remote-postgres.html,
	  request-processor.html, requirements-template.html,
	  rp-design.html, rp-requirements.html, security-design.html,
	  security-notes.html, security-requirements.html,
	  snapshot-backup.html, style-guide.html, subsites-design.html,
	  subsites-requirements.html, subsites.html, tcl-doc.html,
	  templates.html, tutorial-admin-pages.html,
	  tutorial-advanced.html, tutorial-caching.html,
	  tutorial-categories.html, tutorial-comments.html,
	  tutorial-css-layout.html, tutorial-cvs.html,
	  tutorial-database.html, tutorial-debug.html,
	  tutorial-distribute.html, tutorial-future-topics.html,
	  tutorial-hierarchical.html, tutorial-html-email.html,
	  tutorial-newpackage.html, tutorial-notifications.html,
	  tutorial-pages.html, tutorial-schedule-procs.html,
	  tutorial-specs.html, tutorial-vuh.html, tutorial.html,
	  unix-installation.html, update-repository.html,
	  update-translations.html, upgrade-4.5-to-4.6.html,
	  upgrade-4.6.3-to-5.html, upgrade-5-0-dot.html,
	  upgrade-openacs-files.html, upgrade-overview.html,
	  upgrade-supporting.html, upgrade.html, uptime.html,
	  variables.html, win2k-installation.html, xml/index.xml,
	  xml/variables.ent, xml/engineering-standards/cvs.xml,
	  xml/install-guide/other-software.xml: added section on using cvs

2004-10-30 13:07  jader

	* etc/config.tcl: The ssl contexts were missing from the config.tcl
	  file, which will prevent anyone from using ssl on their sites.

2004-10-29 14:49  jader

	* packages/acs-core-docs/www/files/nsd-postgres.txt: Added a
	  comment in the file that the LD_LIBRARY_PATH may need
	  /usr/local/aolserver/lib. Comment only, so no functionality
	  changed.

2004-10-28 17:57  rocaelh

	* packages/acs-subsite/www/admin/site-map/index.tcl: fix of the
	  direct mounting package, clean up of the new site-map
	  w/list-builder must be done

2004-10-28 11:40  josee

	* packages/acs-subsite/www/admin/site-map/index.tcl: fixing bug
	  #2139 (link causing problems)

2004-10-28 10:35  enriquec

	* packages/acs-authentication/tcl/authentication-procs.tcl: fixing
	  typo (ref.bug#2088): datta_error -> data_error

2004-10-28 08:39  nimam

	* packages/acs-subsite/: www/permissions/grant.tcl,
	  www/permissions/perm-include.adp,
	  www/permissions/perm-include.tcl,
	  catalog/acs-subsite.de_DE.ISO-8859-1.xml,
	  catalog/acs-subsite.en_US.ISO-8859-1.xml: Added the grant
	  permission action to acs-subsite/www/permissions/perm-include.
	  The existing action returns a list of all users in OpenACS which
	  can take ages to render. With grant permissions the admin can set
	  permissions for a single user that he can search for. To use
	  acs-subsite/www/permissions/grant from any other page I added the
	  optional return_url parameter that redirects back to that page
	  where grant was called

2004-10-22 06:44  nimam

	* packages/acs-admin/www/auth/: authority-oracle.xql,
	  authority-postgresql.xql: Batch jobs are now ordered by start
	  time

2004-10-21 19:38  joel

	* ChangeLog, packages/acs-admin/acs-admin.info,
	  packages/acs-api-browser/acs-api-browser.info,
	  packages/acs-authentication/acs-authentication.info,
	  packages/acs-automated-testing/acs-automated-testing.info,
	  packages/acs-bootstrap-installer/acs-bootstrap-installer.info,
	  packages/acs-content-repository/acs-content-repository.info,
	  packages/acs-core-docs/acs-core-docs.info,
	  packages/acs-core-docs/www/acs-admin.html,
	  packages/acs-core-docs/www/aolserver.html,
	  packages/acs-core-docs/www/aolserver4.html,
	  packages/acs-core-docs/www/automated-testing-best-practices.html,
	  packages/acs-core-docs/www/backup-recovery.html,
	  packages/acs-core-docs/www/bootstrap-acs.html,
	  packages/acs-core-docs/www/complete-install.html,
	  packages/acs-core-docs/www/credits.html,
	  packages/acs-core-docs/www/cvs-tips.html,
	  packages/acs-core-docs/www/db-api-detailed.html,
	  packages/acs-core-docs/www/db-api.html,
	  packages/acs-core-docs/www/docbook-primer.html,
	  packages/acs-core-docs/www/eng-standards-constraint-naming.html,
	  packages/acs-core-docs/www/eng-standards-filenaming.html,
	  packages/acs-core-docs/www/eng-standards-plsql.html,
	  packages/acs-core-docs/www/eng-standards-versioning.html,
	  packages/acs-core-docs/www/ext-auth-requirements.html,
	  packages/acs-core-docs/www/filename.html,
	  packages/acs-core-docs/www/form-builder.html,
	  packages/acs-core-docs/www/high-avail.html,
	  packages/acs-core-docs/www/how-do-I.html,
	  packages/acs-core-docs/www/i18n-convert.html,
	  packages/acs-core-docs/www/index.html,
	  packages/acs-core-docs/www/individual-programs.html,
	  packages/acs-core-docs/www/install-cvs.html,
	  packages/acs-core-docs/www/install-daemontools.html,
	  packages/acs-core-docs/www/install-full-text-search.html,
	  packages/acs-core-docs/www/install-more-software.html,
	  packages/acs-core-docs/www/install-next-add-server.html,
	  packages/acs-core-docs/www/install-next-nightly-vacuum.html,
	  packages/acs-core-docs/www/install-openacs-keepalive.html,
	  packages/acs-core-docs/www/install-pam-radius.html,
	  packages/acs-core-docs/www/install-php.html,
	  packages/acs-core-docs/www/install-qmail.html,
	  packages/acs-core-docs/www/install-redhat.html,
	  packages/acs-core-docs/www/install-squirrelmail.html,
	  packages/acs-core-docs/www/install-steps.html,
	  packages/acs-core-docs/www/ix01.html,
	  packages/acs-core-docs/www/mac-installation.html,
	  packages/acs-core-docs/www/maint-performance.html,
	  packages/acs-core-docs/www/maintenance-deploy.html,
	  packages/acs-core-docs/www/maintenance-web.html,
	  packages/acs-core-docs/www/object-identity.html,
	  packages/acs-core-docs/www/objects.html,
	  packages/acs-core-docs/www/openacs-unpack.html,
	  packages/acs-core-docs/www/openacs.html,
	  packages/acs-core-docs/www/oracle.html,
	  packages/acs-core-docs/www/packages.html,
	  packages/acs-core-docs/www/parties.html,
	  packages/acs-core-docs/www/permissions-tediously-explained.html,
	  packages/acs-core-docs/www/permissions.html,
	  packages/acs-core-docs/www/postgres.html,
	  packages/acs-core-docs/www/programming-with-aolserver.html,
	  packages/acs-core-docs/www/psgml-for-emacs.html,
	  packages/acs-core-docs/www/psgml-mode.html,
	  packages/acs-core-docs/www/release-notes-4-5.html,
	  packages/acs-core-docs/www/release-notes-4-6-2.html,
	  packages/acs-core-docs/www/release-notes-4-6-3.html,
	  packages/acs-core-docs/www/release-notes-4-6.html,
	  packages/acs-core-docs/www/release-notes.html,
	  packages/acs-core-docs/www/releasing-openacs-core.html,
	  packages/acs-core-docs/www/request-processor.html,
	  packages/acs-core-docs/www/requirements-template.html,
	  packages/acs-core-docs/www/security-notes.html,
	  packages/acs-core-docs/www/style-guide.html,
	  packages/acs-core-docs/www/subsites.html,
	  packages/acs-core-docs/www/tcl-doc.html,
	  packages/acs-core-docs/www/templates.html,
	  packages/acs-core-docs/www/tutorial-css-layout.html,
	  packages/acs-core-docs/www/tutorial-cvs.html,
	  packages/acs-core-docs/www/tutorial-database.html,
	  packages/acs-core-docs/www/tutorial-debug.html,
	  packages/acs-core-docs/www/tutorial-distribute.html,
	  packages/acs-core-docs/www/tutorial-newpackage.html,
	  packages/acs-core-docs/www/tutorial-pages.html,
	  packages/acs-core-docs/www/unix-installation.html,
	  packages/acs-core-docs/www/update-repository.html,
	  packages/acs-core-docs/www/upgrade-4.5-to-4.6.html,
	  packages/acs-core-docs/www/upgrade-openacs-files.html,
	  packages/acs-core-docs/www/upgrade-overview.html,
	  packages/acs-core-docs/www/variables.html,
	  packages/acs-core-docs/www/win2k-installation.html,
	  packages/acs-core-docs/www/xml/variables.ent,
	  packages/acs-core-docs/www/xml/for-everyone/release-notes.xml,
	  packages/acs-kernel/acs-kernel.info,
	  packages/acs-lang/acs-lang.info, packages/acs-mail/acs-mail.info,
	  packages/acs-messaging/acs-messaging.info,
	  packages/acs-reference/acs-reference.info,
	  packages/acs-service-contract/acs-service-contract.info,
	  packages/acs-subsite/acs-subsite.info,
	  packages/acs-tcl/acs-tcl.info,
	  packages/acs-templating/acs-templating.info,
	  packages/ref-timezones/ref-timezones.info,
	  packages/search/search.info: upped version numbers to 5.1.2 and
	  updated documentation

2004-10-20 10:56  joel

	* packages/acs-core-docs/www/: update-translations.html,
	  xml/releasing-openacs.xml: updated translation server
	  instructions

2004-10-20 07:15  daveb

	* packages/acs-bootstrap-installer/acs-bootstrap-installer.info:
	  Fix stupid typos. Thanks Jeff!

2004-10-20 06:46  daveb

	* packages/acs-bootstrap-installer/acs-bootstrap-installer.info:
	  Fix apm URL version numbers.

2004-10-18 17:57  josee

	* packages/acs-admin/lib/become.tcl: restricting dotlrn-admin users
	  to become in any other user except site-wide-admins

2004-10-15 18:13  rocaelh

	* packages/acs-admin/www/users/: password-update.adp,
	  password-update.tcl: fixing password change for acs-admin to work
	  with the /lib by quio@galileo.edu

2004-10-15 07:15  maltes

	* packages/acs-core-docs/www/: xml/install-guide/postgres.xml,
	  postgres.html: According to Jeff no flags are needed for 7.4.5,
	  therefore I changed the documentation accordingly

2004-10-15 05:09  maltes

	* packages/acs-core-docs/www/: xml/install-guide/postgres.xml,
	  postgres.html: Copied the postgres ./configure statement

2004-10-15 01:49  maltes

	*
	  packages/acs-content-repository/sql/postgresql/upgrade/upgrade-4.5-4.6.sql:
	  Change needed due to dependecies

2004-10-15 00:46  maltes

	* packages/acs-core-docs/www/: xml/install-guide/aolserver4.xml,
	  aolserver4.html: Improved the tdom install.

2004-10-15 00:35  maltes

	* packages/acs-core-docs/www/: xml/install-guide/aolserver4.xml,
	  xml/install-guide/postgres.xml, aolserver4.html, postgres.html:
	  New versions for aolserver & postgresql

2004-10-14 09:49  maltes

	* etc/backup.sh: Added automatic delete of old backup files.

2004-10-13 20:21  joel

	* packages/:
	  acs-authentication/catalog/acs-authentication.ar_LB.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.ca_ES.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.da_DK.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.de_DE.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.en_US.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.es_ES.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.es_GT.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.eu_ES.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.fa_IR.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.fr_FR.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.hu_HU.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.it_IT.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.ms_MY.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.nl_NL.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.pl_PL.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.pt_BR.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.zh_CN.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.zh_TW.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ar_EG.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ar_LB.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ast_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ca_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.da_DK.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.de_DE.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.en_US.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_GT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.eu_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.fi_FI.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.fr_FR.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.gl_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.hu_HU.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.it_IT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ja_JP.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ko_KR.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ms_MY.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.nl_NL.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.nn_NO.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.no_NO.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.pl_PL.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.pt_BR.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.pt_PT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ro_RO.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ru_RU.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.sv_SE.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.tr_TR.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.zh_CN.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.zh_TW.utf-8.xml,
	  acs-lang/acs-lang.info,
	  acs-lang/catalog/acs-lang.ar_EG.utf-8.xml,
	  acs-lang/catalog/acs-lang.ar_LB.utf-8.xml,
	  acs-lang/catalog/acs-lang.ast_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ca_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.da_DK.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.de_DE.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.el_GR.utf-8.xml,
	  acs-lang/catalog/acs-lang.en_GB.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.en_US.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_GT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.eu_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.fa_IR.utf-8.xml,
	  acs-lang/catalog/acs-lang.fi_FI.utf-8.xml,
	  acs-lang/catalog/acs-lang.fr_FR.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.gl_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.hu_HU.utf-8.xml,
	  acs-lang/catalog/acs-lang.it_IT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ja_JP.utf-8.xml,
	  acs-lang/catalog/acs-lang.ko_KR.utf-8.xml,
	  acs-lang/catalog/acs-lang.ms_MY.utf-8.xml,
	  acs-lang/catalog/acs-lang.nl_NL.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.nn_NO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.no_NO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.pl_PL.utf-8.xml,
	  acs-lang/catalog/acs-lang.pt_BR.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.pt_PT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ro_RO.utf-8.xml,
	  acs-lang/catalog/acs-lang.ru_RU.utf-8.xml,
	  acs-lang/catalog/acs-lang.sh_HR.utf-8.xml,
	  acs-lang/catalog/acs-lang.sv_SE.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.th_TH.utf-8.xml,
	  acs-lang/catalog/acs-lang.tr_TR.utf-8.xml,
	  acs-lang/catalog/acs-lang.zh_CN.utf-8.xml,
	  acs-lang/catalog/acs-lang.zh_TW.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ar_EG.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ar_LB.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ast_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ca_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.da_DK.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.de_DE.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.el_GR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.en_US.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_GT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.eu_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.fi_FI.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.fr_FR.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.gl_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.hu_HU.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.it_IT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ja_JP.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ko_KR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ms_MY.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.nl_NL.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.nn_NO.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.no_NO.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.pl_PL.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.pt_BR.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.pt_PT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ro_RO.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ru_RU.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.sh_HR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.sv_SE.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.tr_TR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.zh_CN.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.zh_TW.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ar_EG.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ar_LB.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ast_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ca_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.da_DK.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.de_DE.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.en_US.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.es_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.es_GT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.eu_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.fa_IR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.fi_FI.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.fr_FR.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.gl_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.hu_HU.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.it_IT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ja_JP.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ko_KR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ms_MY.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.nl_NL.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.nn_NO.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.no_NO.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.pl_PL.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.pt_BR.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.pt_PT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ro_RO.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ru_RU.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.sh_HR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.sv_SE.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.tr_TR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.zh_CN.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.zh_TW.utf-8.xml,
	  acs-tcl/tcl/00-database-procs.tcl,
	  acs-templating/catalog/acs-templating.ar_LB.utf-8.xml,
	  acs-templating/catalog/acs-templating.ca_ES.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.da_DK.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.de_DE.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.en_US.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_ES.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_GT.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.eu_ES.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.fi_FI.utf-8.xml,
	  acs-templating/catalog/acs-templating.fr_FR.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.hu_HU.utf-8.xml,
	  acs-templating/catalog/acs-templating.it_IT.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.ko_KR.utf-8.xml,
	  acs-templating/catalog/acs-templating.ms_MY.utf-8.xml,
	  acs-templating/catalog/acs-templating.nl_NL.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.nn_NO.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.no_NO.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.pt_BR.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.pt_PT.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.ro_RO.utf-8.xml,
	  acs-templating/catalog/acs-templating.sv_SE.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.zh_CN.utf-8.xml,
	  acs-templating/catalog/acs-templating.zh_TW.utf-8.xml: updated
	  translations from translate.openacs.org

2004-10-13 16:09  joel

	* packages/acs-lang/sql/: oracle/ad-locales.sql,
	  oracle/upgrade/upgrade-5.1.2d2-5.1.2d3.sql,
	  postgresql/ad-locales.sql,
	  postgresql/upgrade/upgrade-5.1.2d2-5.1.2d3.sql: added Basque and
	  Catalan locales

2004-10-13 11:33  josee

	* packages/acs-admin/: lib/become.tcl, lib/become.xql,
	  www/users/become.adp, www/users/become.xql, www/users/become.tcl:
	  using the file in acs-admin/lib/become.*, so the user can become
	  another user with the role of dotlrn-admin

2004-10-13 08:11  tracya

	* packages/: acs-admin/acs-admin.info,
	  acs-api-browser/acs-api-browser.info,
	  acs-authentication/acs-authentication.info,
	  acs-automated-testing/acs-automated-testing.info,
	  acs-bootstrap-installer/acs-bootstrap-installer.info,
	  acs-content-repository/acs-content-repository.info,
	  acs-core-docs/acs-core-docs.info, acs-kernel/acs-kernel.info,
	  acs-lang/acs-lang.info, acs-mail/acs-mail.info,
	  acs-messaging/acs-messaging.info,
	  acs-reference/acs-reference.info,
	  acs-service-contract/acs-service-contract.info,
	  acs-subsite/acs-subsite.info, acs-tcl/acs-tcl.info,
	  acs-templating/acs-templating.info,
	  ref-timezones/ref-timezones.info: upping version numbers for
	  release

2004-10-13 02:46  darior

	* www/site-master.adp: Use label #acs-subsite.Change_lecale_label#
	  for message 'Change locale' in site-footer

2004-10-10 23:28  maltes

	* packages/acs-lang/catalog/: acs-lang.de_DE.ISO-8859-1.xml,
	  acs-lang.en_US.ISO-8859-1.xml: I forgot that you *first* have to
	  upgrade the version before you do the export...

2004-10-10 23:22  maltes

	* packages/acs-lang/: acs-lang.info,
	  catalog/acs-lang.de_DE.ISO-8859-1.xml,
	  catalog/acs-lang.en_US.ISO-8859-1.xml: New Version due to
	  inclusion of formbuilder_date_format

2004-10-08 14:55  jader

	* packages/acs-subsite/www/doc/: images.html, index.html: Add in a
	  page to the documentation that gives an overview of all images
	  the subsite provides.

2004-10-07 10:51  jader

	* packages/acs-content-repository/tcl/revision-procs.tcl: Fix
	  documentation so it doesn't show up under the author tag.

2004-10-06 18:18  rocaelh

	* packages/acs-admin/www/users/: password-update.adp,
	  password-update.tcl: using new admin includable page

2004-10-06 18:17  rocaelh

	* packages/acs-admin/lib/: password-update.adp,
	  password-update.tcl: adding only one password includable page, so
	  we can use the same in acs-admin and dotlrn/admin

2004-10-06 07:00  nimam

	* packages/acs-tcl/tcl/: defs-procs.tcl: moved out the url part
	  from acs_community_member_url into the new proc
	  acs_community_member_page which is now used instead in
	  acs_community_member_url

2004-09-30 12:43  jader

	* packages/acs-tcl/tcl/defs-procs.tcl: Add warning in api-doc that
	  states that ad_return_if_another_copy_is_running needs to be
	  rewritten. See:
	  http://openacs.org/forums/message-view?message_id=203381

2004-09-30 10:42  andrewg

	* packages/acs-lang/tcl/: localization-data-init.tcl,
	  localization-procs.tcl: An attempt to speed up the lc_time_fmt
	  call, which gets hit 10+ times per page in calendar applications.
	  We're now memoizing the compilation of % codes to tcl procs and
	  vars.  Also, we're no longer rebuilding the hash array of percent
	  codes each time, instead using a namespace var that gets
	  initialized in localization-data-init.tcl

2004-09-29 12:37  andrewg

	* packages/acs-admin/www/monitor.tcl: Removing call to ns_server
	  active, which is not thread safe.  See NOTES section of
	  http://panoptic.com/wiki/aolserver/ns_server

2004-09-29 00:55  dedsc

	* packages/acs-authentication/tcl/local-procs.tcl: fixing security
	  bug on local password reset. think passwordless admin accounts

2004-09-28 10:00  maltes

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  Added information on ns_ldap bind

2004-09-24 07:14  nimam

	* packages/acs-subsite/www/admin/site-map/: index.adp, index.tcl:
	  New look for the site map using list builder and anchor tag to
	  jump to the current row.

2004-09-23 19:51  jader

	* etc/backup.sh: Many of the comparisons incorrectly used = instead
	  of ==

2004-09-21 18:14  rocaelh

	* packages/acs-authentication/www/doc/acs-authentication.htm: more
	  stuff

2004-09-21 18:11  rocaelh

	* packages/acs-authentication/www/doc/: ext-auth-install.html,
	  index.html, acs-authentication.htm: adding new documentation

2004-09-21 10:56  rocaelh

	* packages/acs-authentication/tcl/: local-procs.tcl,
	  password-procs.tcl: allowing admin to change password  withouth
	  entering old_pass

2004-09-21 10:55  rocaelh

	* packages/acs-admin/www/users/: password-update-2.tcl,
	  password-update.adp, password-update.tcl, password-update.xql:
	  adding ad_form to change passwd form, plus making it work
	  withouth need of old_pass with authentication

2004-09-20 17:17  rocaelh

	*
	  packages/acs-kernel/sql/postgresql/upgrade/upgrade-5.1.2d2-5.1.2d3.sql:
	  putting create or replace instead of just create

2004-09-20 17:00  rocaelh

	* packages/acs-content-repository/sql/postgresql/:
	  content-create.sql, upgrade/upgrade-5.1.2d6-5.1.2d7.sql: better
	  performance for null parent cr query, by don

2004-09-20 13:21  andrewg

	*
	  packages/acs-kernel/sql/oracle/upgrade/upgrade-5.1.2d2-5.1.2d3.sql:
	  Modified cc_users moving the magic object lookup to its own
	  query.  The view was really slow when joined against the
	  acs_magic_objects table.

2004-09-20 13:18  andrewg

	* packages/acs-kernel/sql/oracle/acs-create.sql: Modified cc_users
	  moving the magic object lookup to its own query.  The view was
	  really slow when joined against the acs_magic_objects table.

2004-09-20 13:08  donb

	* packages/acs-kernel/: acs-kernel.info,
	  sql/postgresql/acs-create.sql,
	  sql/postgresql/upgrade/upgrade-5.1.2d2-5.1.2d3.sql: Changed
	  cc_users and registered_users views to use the
	  acs__magic_object_id function that was written quite some time
	  ago but never used in those views.

	  And those views are really slow when joined against the
	  acs_magic_objects table ...

2004-09-20 06:12  daveb

	* packages/acs-content-repository/tcl/symlink-procs-postgresql.xql:
	  Fix } where ) was supposed to be. Fixes bug#2104.

2004-09-16 00:42  darior

	* packages/acs-subsite/www/shared/portrait.tcl: Fixing bug for
	  display portrait. Wrong variable name.

2004-09-10 15:50  jader

	* packages/acs-tcl/tcl/rollout-email-procs.tcl: Improve robustness
	  of rollout email support for 'filter' option.

2004-09-09 16:46  jader

	*
	  packages/acs-messaging/sql/postgresql/upgrade/upgrade-4.6.2-4.6.3.sql:
	  Applying patch 394: fix for upgrade script 4.6.2-4.6.3

2004-09-08 00:00  maltes

	* packages/acs-core-docs/www/: install-pam-radius.html,
	  install-more-software.html: Added section on pam-radius

2004-09-07 23:59  maltes

	* packages/acs-core-docs/www/xml/install-guide/other-software.xml:
	  Added section on PAM Radius, thanks to Nima.

2004-09-07 13:45  andrewg

	* packages/acs-content-repository/tcl/revision-procs-oracle.xql:
	  Fixing a typo.

2004-09-06 15:32  hramado

	* packages/acs-authentication/tcl/apm-callback-procs.tcl: upgrade
	  logic 5.1.2 -> 5.1.2d1

2004-09-06 09:43  rocaelh

	* packages/acs-content-repository/sql/: oracle/content-create.sql,
	  postgresql/content-create.sql: adding cr_items(name) index on the
	  creation of the pkg

2004-09-03 09:05  tracya

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/content-revision.sql, sql/oracle/packages-create.sql,
	  sql/oracle/upgrade/upgrade-5.1.2d8-5.1.2d9.sql,
	  tcl/revision-procs-oracle.xql: filestorage was displying the ugly
	  filename instead of the pretty title for the main entry; also
	  wasn't updating the filename to the newest upload (still need to
	  ask DaveB about getting the links to work with the latest upload
	  filename

2004-09-02 13:18  rocaelh

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/upgrade/upgrade-5.1.2d6-5.1.2d7.sql,
	  sql/postgresql/upgrade/upgrade-5.1.2d6-5.1.2d7.sql: new index for
	  perf improvements

2004-09-02 13:09  rocaelh

	* packages/acs-tcl/tcl/community-core-procs.xql: performance
	  improvements, using now acs_users_all

2004-09-01 14:07  gerardom

	* packages/acs-subsite/catalog/acs-subsite.es_GT.ISO-8859-1.xml: In
	  the traduction was the variable pretty_date instead of
	  publish_date

2004-08-30 16:55  jader

	* packages/acs-api-browser/lib/search.tcl: Applied patch 592 fixing
	  link to Postgres documentation.

2004-08-29 13:47  daveb

	* packages/acs-lang/tcl/lang-util-procs.tcl: Change locale to
	  unamed optional parameter.

2004-08-27 15:58  donb

	* packages/acs-tcl/tcl/site-nodes-procs.tcl: When local changes to
	  the site map are made there's no need to update the entire
	  friggin' cache, which is an expensive operation on .LRN
	  installations with large numbers of classes and clubs, each of
	  which mount a bunch of packages.

2004-08-26 23:17  tracya

	* packages/acs-lang/tcl/lang-util-procs.tcl: reverting DaveB's
	  changes because the change in params is breaking things

2004-08-24 16:28  tracya

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/content-folder.sql,
	  sql/oracle/upgrade/upgrade-5.1.2d5-5.1.2d6.sql: is_sub_folder
	  always returned t

2004-08-24 13:43  tracya

	* packages/: acs-subsite/catalog/acs-subsite.en_US.ISO-8859-1.xml,
	  acs-subsite/www/register/recover-password.tcl,
	  acs-authentication/tcl/local-procs.tcl: fixing resetting broken
	  email - email didn't get sent

2004-08-23 06:45  daveb

	* packages/acs-lang/tcl/lang-util-procs.tcl: Back out previous
	  commit. Remove -locale switch from lang::util::localize

2004-08-18 13:22  andrewg

	* www/blank-master.tcl: Markup in <title> tags doesn't render well

2004-08-17 05:00  maltes

	* packages/acs-authentication/tcl/local-procs.tcl: empty_string_p
	  does not always work in contrast to exists_and_not_null. This
	  problem caused emails not being send out, because the password
	  was empty.

2004-08-17 00:49  maltes

	* www/blank-master.tcl: Added support for additional body
	  attributes

2004-08-10 17:31  donb

	* packages/acs-subsite/www/user/portrait/upload-2.tcl: Fixing
	  another mistake in the 2055 bug fix (Oracle and PG are on two
	  different servers thus I had to commit to test)

2004-08-10 17:28  donb

	* packages/acs-subsite/www/user/portrait/upload-2-postgresql.xql:
	  Oops fixed typo in previous commit

2004-08-10 17:25  donb

	* packages/acs-subsite/www/user/portrait/: upload-2-oracle.xql,
	  upload-2-postgresql.xql, upload-2.tcl, upload-2.xql: Fixed bug
	  #2055 by moving as much of the code into db-independent Tcl API
	  as is possible at the moment.

2004-08-10 17:25  donb

	* packages/acs-content-repository/acs-content-repository.info:
	  Bumped version number so my upgrade file will be seen.

2004-08-10 16:56  donb

	* packages/acs-content-repository/sql/postgresql/:
	  content-item.sql, upgrade/upgrade-5.1.2d4-5.1.2d5.sql: Fixed a
	  typo in one of the cr_item__new procs

2004-08-06 11:53  joel

	* packages/acs-subsite/acs-subsite.info: added documentation so
	  that someone trying to restrict a subsite to registered users
	  only has a fighting chance to succeed

2004-08-05 18:07  daveb

	* packages/acs-lang/tcl/lang-util-procs.tcl: Add optional -locale
	  parameter to lang::util::localize. Defaults to [ad_conn locale]

2004-08-04 09:13  jader

	* packages/acs-templating/tcl/parse-procs.tcl: Resolves bug 2045:
	  tcl/prase-procs.tcl spelling fix, courtesy of Frank Myhr.

2004-08-04 07:42  tracya

	* etc/config.tcl: upping the maxinput parameter to be bigger than
	  the default parameter in file storage

2004-08-02 21:38  dedsc

	* packages/acs-templating/resources/lists/: list.adp, table.adp:
	  Fixes bug #861 by adding javascript return statements to
	  workaround buggy browsers

2004-08-01 21:25  rocaelh

	* packages/acs-tcl/tcl/acs-permissions-procs.tcl: bug #1997: fixed
	  DS user-switching (U-S), first checking party_id instead of
	  ad_conn, since calling ad_conn with (U-S) enabled enters into an
	  infinite loop that makes aolserver die, with (U-S) enabled,
	  permission_p will always get an party_id and in this way avoiding
	  calls to ad_conn

2004-07-29 16:16  jader

	* packages/acs-tcl/tcl/security-procs.tcl: Finally worked out a
	  regexp that seems to work. Tested on both configurations with
	  standard and nonstandard ports. Fixes problems with ssl redirects
	  on login, and with openssl on non-standard ports.

2004-07-29 15:52  jader

	* packages/acs-tcl/tcl/security-procs.tcl: Better regexp to deal
	  with non-standard ports.

2004-07-29 09:29  tracya

	* packages/acs-kernel/acs-kernel.info: changing default allowable
	  tags

2004-07-29 07:51  andrewg

	* www/site-master.tcl: Removed unused code that's been moved to
	  packages/acs-subsite/www/group-master.  Note: these calls were
	  very slow on a large .LRN installation, and should probably be
	  tuned.

2004-07-27 16:18  rocaelh

	* packages/acs-tcl/tcl/: acs-permissions-procs-oracle.xql,
	  acs-permissions-procs-postgresql.xql, acs-permissions-procs.xql:
	  enhancemens on permission::permission_p_not_cached, working fast
	  for 16K on PG7.4.1

2004-07-27 00:51  maltes

	* packages/acs-authentication/acs-authentication.info: Upped the
	  version number so new parameters will be added.

2004-07-27 00:49  maltes

	* packages/acs-admin/www/users/: one.adp, one.tcl,
	  password-update-2.tcl, password-update.adp, password-update.tcl,
	  password-update.xql: Added the changing of the password for the
	  admin from .LRN to OpenACS

2004-07-26 10:24  rocaelh

	* packages/acs-authentication/tcl/apm-callback-procs.tcl: fixing
	  small bug on SC / upgrade, to have the upgrade to run, needs to
	  be changed the version # of acs-authentication to 5.1.2

2004-07-24 04:51  daveb

	* etc/config.tcl: Remove custom changes checked in and fix uri
	  parameter for webdav configuration.

2004-07-23 09:00  tracya

	* packages/acs-subsite/lib/user-new.tcl: reverting Malte's change

2004-07-23 06:31  maltes

	* packages/acs-lang/tcl/locale-procs.tcl: Partly applying patch
	  #572, fixing #2006

2004-07-23 06:30  daveb

	* etc/config.tcl: Disable webdav access to the filesystem unless it
	  is explicitly requested.:

2004-07-23 02:11  maltes

	* packages/acs-subsite/lib/user-new.tcl: removed unuseful insert

2004-07-23 02:08  maltes

	* packages/acs-subsite/lib/user-info.tcl: revert

2004-07-22 23:54  dedsc

	* www/blank-master.tcl, packages/acs-subsite/www/resources/core.js:
	  Resolves bug #2026.

2004-07-22 03:30  maltes

	* packages/acs-subsite/lib/: login.tcl, user-info.tcl,
	  user-new.tcl: Made the default to allow self_registration as this
	  was the previous behaviour. It is always a bad idea to change the
	  behaviour for existing sites. Still wondering why the parameter
	  does not show up on my installation though ...

2004-07-20 13:50  jader

	* etc/config.tcl: Added in a ns_section where is was missing for
	  Aolserver 4.

2004-07-20 12:54  jvdongen

	* packages/acs-content-repository/acs-content-repository.info:
	  undone mistake

2004-07-20 12:25  jvdongen

	* packages/acs-content-repository/acs-content-repository.info:
	  fixed typo

2004-07-20 08:03  janine

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/content-item.sql,
	  sql/oracle/upgrade/upgrade-5.1.2d3-5.1.2d4.sql: add view
	  content_item_globals, which already exists for PG but was missing
	  for Oracle

2004-07-20 07:26  jvdongen

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-item.sql,
	  sql/postgresql/upgrade/upgrade-5.1.2d2-5.1.2d3.sql: Fixed the CR
	  part of bug 1953.

2004-07-19 11:39  rocaelh

	* packages/: acs-authentication/acs-authentication.info,
	  acs-authentication/tcl/authentication-procs.tcl,
	  acs-subsite/lib/login.adp, acs-subsite/lib/login.tcl,
	  acs-subsite/lib/user-new.tcl, acs-subsite/tcl/subsite-procs.tcl,
	  acs-subsite/www/user/portrait/upload-2.tcl,
	  acs-subsite/www/user/portrait/upload.tcl: adding new .LRN admin
	  features, by Hector A. hr_amado@galileo.edu

2004-07-18 10:28  daveb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/postgresql/content-item.sql, sql/postgresql/content-type.sql,
	  sql/postgresql/upgrade/upgrade-5.1.2d1-5.1.2d2.sql: Fix syntax
	  error in drop column statement in content_type__drop__attribute.
	  Fixes bug#2014. Added upgrade script and increased version in
	  info file.

2004-07-15 08:19  maltes

	* packages/acs-tcl/tcl/html-email-procs.tcl: the mime procedures
	  are included, therefore there is no need for *package require
	  mime* anymore

2004-07-14 11:14  jader

	* etc/daemontools/run: Give time for postgres to start up.

2004-07-12 14:02  jader

	* packages/acs-tcl/tcl/: admin-procs.tcl, security-procs.tcl: Fix
	  for bug 1975: https not working on nonstandard ports.

2004-07-12 13:32  jader

	* etc/config.tcl: Adds in nsopenssl config section for Aolserver 4
	  / nsopenssl 3

2004-07-11 12:15  jvdongen

	* packages/acs-content-repository/tcl/filter-procs.tcl: fixed bug
	  #1985 with patch #562

2004-07-09 15:00  rocaelh

	* packages/acs-authentication/tcl/: apm-callback-procs.tcl,
	  authentication-procs.tcl, local-procs.tcl, password-procs.tcl:
	  fix bug 1976, adding authority_id

2004-07-09 02:43  jeffd

	* packages/acs-kernel/sql/oracle/groups-body-create.sql: flip order
	  of delete for group delete

2004-07-09 02:01  jeffd

	* packages/acs-kernel/: acs-kernel.info,
	  sql/oracle/upgrade/upgrade-5.1.2d1-5.1.2d2.sql,
	  sql/postgresql/groups-body-create.sql,
	  sql/postgresql/upgrade/upgrade-5.1.2d1-5.1.2d2.sql: flip order of
	  delete of rels and rel segments, bump version to 5.1.2d2, upgrade
	  scripts for oracle and pg, bug 775 patch 267 Randy O'Meara

2004-07-07 21:10  daveb

	* packages/acs-templating/tcl/date-procs.tcl: Fix
	  template::util::date::set_property to not fail when passed in a
	  NULL date retreived from the database.

2004-07-07 11:56  marka

	* packages/acs-templating/tcl/currency-procs.tcl: currency::widget
	  now honours display mode (previously ignored it) currency::widget
	  no longer stomps the trailing 0 off the fractional part
	  (perviously it converted 50c into 05c over an edit/ok cycle and
	  looked bad as well)

2004-07-07 09:15  jader

	* packages/acs-subsite/www/register/account-closed.tcl: Converted
	  to text (it was shown in title bar and context bar)

2004-07-06 12:59  jeffd

	* packages/acs-templating/tcl/date-procs.tcl: fixes
	  template::util::date::unpack so it does not require the variabe
	  to be named date and just work by coincidence. from HEAD,
	  resolves bug 1824

2004-07-06 08:47  jeffd

	* packages/acs-tcl/tcl/html-email-procs.tcl: remove the calls to
	  source the mime.tcl etal files as we renamed them to -procs.tcl
	  and they get sourced on server startup.  Remove clipping the last
	  line of the mime encoded file since it seems spurious afaict.
	  send only a quoted-printable version of the html message not an
	  additional base64 encoded one.

2004-07-06 04:36  jeffd

	* packages/acs-subsite/tcl/attribute-procs.tcl: function should
	  have been plsql_utility::generate_constraint_name not
	  generate_constraint resolves bug 1848

2004-07-06 01:04  jeffd

	* packages/acs-tcl/tcl/request-processor-procs.tcl: only
	  ns_returnfile files. resolves bug 1957

2004-07-05 12:47  joel

	* readme.txt, packages/acs-admin/acs-admin.info,
	  packages/acs-api-browser/acs-api-browser.info,
	  packages/acs-authentication/acs-authentication.info,
	  packages/acs-automated-testing/acs-automated-testing.info,
	  packages/acs-bootstrap-installer/acs-bootstrap-installer.info,
	  packages/acs-content-repository/acs-content-repository.info,
	  packages/acs-core-docs/acs-core-docs.info,
	  packages/acs-core-docs/www/acs-admin.html,
	  packages/acs-core-docs/www/acs-package-dev.html,
	  packages/acs-core-docs/www/acs-plat-dev.html,
	  packages/acs-core-docs/www/analog-install.html,
	  packages/acs-core-docs/www/analog-setup.html,
	  packages/acs-core-docs/www/aolserver.html,
	  packages/acs-core-docs/www/aolserver4.html,
	  packages/acs-core-docs/www/apm-design.html,
	  packages/acs-core-docs/www/apm-requirements.html,
	  packages/acs-core-docs/www/automated-backup.html,
	  packages/acs-core-docs/www/automated-testing-best-practices.html,
	  packages/acs-core-docs/www/backup-recovery.html,
	  packages/acs-core-docs/www/backups-with-cvs.html,
	  packages/acs-core-docs/www/bootstrap-acs.html,
	  packages/acs-core-docs/www/complete-install.html,
	  packages/acs-core-docs/www/configuring-new-site.html,
	  packages/acs-core-docs/www/credits.html,
	  packages/acs-core-docs/www/cvs-tips.html,
	  packages/acs-core-docs/www/database-management.html,
	  packages/acs-core-docs/www/db-api-detailed.html,
	  packages/acs-core-docs/www/db-api.html,
	  packages/acs-core-docs/www/dev-guide.html,
	  packages/acs-core-docs/www/doc-standards.html,
	  packages/acs-core-docs/www/docbook-primer.html,
	  packages/acs-core-docs/www/eng-standards-constraint-naming.html,
	  packages/acs-core-docs/www/eng-standards-filenaming.html,
	  packages/acs-core-docs/www/eng-standards-plsql.html,
	  packages/acs-core-docs/www/eng-standards-versioning.html,
	  packages/acs-core-docs/www/eng-standards.html,
	  packages/acs-core-docs/www/ext-auth-requirements.html,
	  packages/acs-core-docs/www/filename.html,
	  packages/acs-core-docs/www/for-everyone.html,
	  packages/acs-core-docs/www/form-builder.html,
	  packages/acs-core-docs/www/general-documents.html,
	  packages/acs-core-docs/www/groups-design.html,
	  packages/acs-core-docs/www/groups-requirements.html,
	  packages/acs-core-docs/www/high-avail.html,
	  packages/acs-core-docs/www/how-do-I.html,
	  packages/acs-core-docs/www/i18n-convert.html,
	  packages/acs-core-docs/www/i18n-design.html,
	  packages/acs-core-docs/www/i18n-introduction.html,
	  packages/acs-core-docs/www/i18n-overview.html,
	  packages/acs-core-docs/www/i18n-requirements.html,
	  packages/acs-core-docs/www/i18n-translators.html,
	  packages/acs-core-docs/www/i18n.html,
	  packages/acs-core-docs/www/index.html,
	  packages/acs-core-docs/www/individual-programs.html,
	  packages/acs-core-docs/www/install-cvs.html,
	  packages/acs-core-docs/www/install-daemontools.html,
	  packages/acs-core-docs/www/install-full-text-search.html,
	  packages/acs-core-docs/www/install-more-software.html,
	  packages/acs-core-docs/www/install-next-add-server.html,
	  packages/acs-core-docs/www/install-next-backups.html,
	  packages/acs-core-docs/www/install-next-nightly-vacuum.html,
	  packages/acs-core-docs/www/install-nsopenssl.html,
	  packages/acs-core-docs/www/install-nspam.html,
	  packages/acs-core-docs/www/install-openacs-delete-tablespace.html,
	  packages/acs-core-docs/www/install-openacs-inittab.html,
	  packages/acs-core-docs/www/install-openacs-keepalive.html,
	  packages/acs-core-docs/www/install-origins.html,
	  packages/acs-core-docs/www/install-overview.html,
	  packages/acs-core-docs/www/install-php.html,
	  packages/acs-core-docs/www/install-qmail.html,
	  packages/acs-core-docs/www/install-redhat.html,
	  packages/acs-core-docs/www/install-resources.html,
	  packages/acs-core-docs/www/install-squirrelmail.html,
	  packages/acs-core-docs/www/install-ssl.html,
	  packages/acs-core-docs/www/install-steps.html,
	  packages/acs-core-docs/www/install-tclwebtest.html,
	  packages/acs-core-docs/www/ix01.html,
	  packages/acs-core-docs/www/kernel-doc.html,
	  packages/acs-core-docs/www/kernel-overview.html,
	  packages/acs-core-docs/www/mac-installation.html,
	  packages/acs-core-docs/www/maint-performance.html,
	  packages/acs-core-docs/www/maintenance-deploy.html,
	  packages/acs-core-docs/www/maintenance-web.html,
	  packages/acs-core-docs/www/nxml-mode.html,
	  packages/acs-core-docs/www/object-identity.html,
	  packages/acs-core-docs/www/object-system-design.html,
	  packages/acs-core-docs/www/object-system-requirements.html,
	  packages/acs-core-docs/www/objects.html,
	  packages/acs-core-docs/www/openacs-overview.html,
	  packages/acs-core-docs/www/openacs-unpack.html,
	  packages/acs-core-docs/www/openacs.html,
	  packages/acs-core-docs/www/oracle.html,
	  packages/acs-core-docs/www/os-install.html,
	  packages/acs-core-docs/www/os-security.html,
	  packages/acs-core-docs/www/packages.html,
	  packages/acs-core-docs/www/parties.html,
	  packages/acs-core-docs/www/permissions-design.html,
	  packages/acs-core-docs/www/permissions-requirements.html,
	  packages/acs-core-docs/www/permissions-tediously-explained.html,
	  packages/acs-core-docs/www/permissions.html,
	  packages/acs-core-docs/www/postgres.html,
	  packages/acs-core-docs/www/profile-code.html,
	  packages/acs-core-docs/www/programming-with-aolserver.html,
	  packages/acs-core-docs/www/psgml-for-emacs.html,
	  packages/acs-core-docs/www/psgml-mode.html,
	  packages/acs-core-docs/www/release-notes-4-5.html,
	  packages/acs-core-docs/www/release-notes-4-6-2.html,
	  packages/acs-core-docs/www/release-notes-4-6-3.html,
	  packages/acs-core-docs/www/release-notes-4-6.html,
	  packages/acs-core-docs/www/release-notes.html,
	  packages/acs-core-docs/www/releasing-openacs-core.html,
	  packages/acs-core-docs/www/releasing-openacs.html,
	  packages/acs-core-docs/www/releasing-package.html,
	  packages/acs-core-docs/www/remote-postgres.html,
	  packages/acs-core-docs/www/request-processor.html,
	  packages/acs-core-docs/www/requirements-template.html,
	  packages/acs-core-docs/www/rp-design.html,
	  packages/acs-core-docs/www/rp-requirements.html,
	  packages/acs-core-docs/www/security-design.html,
	  packages/acs-core-docs/www/security-notes.html,
	  packages/acs-core-docs/www/security-requirements.html,
	  packages/acs-core-docs/www/snapshot-backup.html,
	  packages/acs-core-docs/www/style-guide.html,
	  packages/acs-core-docs/www/subsites-design.html,
	  packages/acs-core-docs/www/subsites-requirements.html,
	  packages/acs-core-docs/www/subsites.html,
	  packages/acs-core-docs/www/tcl-doc.html,
	  packages/acs-core-docs/www/templates.html,
	  packages/acs-core-docs/www/tutorial-admin-pages.html,
	  packages/acs-core-docs/www/tutorial-advanced.html,
	  packages/acs-core-docs/www/tutorial-caching.html,
	  packages/acs-core-docs/www/tutorial-categories.html,
	  packages/acs-core-docs/www/tutorial-comments.html,
	  packages/acs-core-docs/www/tutorial-css-layout.html,
	  packages/acs-core-docs/www/tutorial-cvs.html,
	  packages/acs-core-docs/www/tutorial-database.html,
	  packages/acs-core-docs/www/tutorial-debug.html,
	  packages/acs-core-docs/www/tutorial-distribute.html,
	  packages/acs-core-docs/www/tutorial-future-topics.html,
	  packages/acs-core-docs/www/tutorial-hierarchical.html,
	  packages/acs-core-docs/www/tutorial-html-email.html,
	  packages/acs-core-docs/www/tutorial-newpackage.html,
	  packages/acs-core-docs/www/tutorial-notifications.html,
	  packages/acs-core-docs/www/tutorial-pages.html,
	  packages/acs-core-docs/www/tutorial-schedule-procs.html,
	  packages/acs-core-docs/www/tutorial-specs.html,
	  packages/acs-core-docs/www/tutorial-vuh.html,
	  packages/acs-core-docs/www/tutorial.html,
	  packages/acs-core-docs/www/unix-installation.html,
	  packages/acs-core-docs/www/update-repository.html,
	  packages/acs-core-docs/www/update-translations.html,
	  packages/acs-core-docs/www/upgrade-4.5-to-4.6.html,
	  packages/acs-core-docs/www/upgrade-4.6.3-to-5.html,
	  packages/acs-core-docs/www/upgrade-5-0-dot.html,
	  packages/acs-core-docs/www/upgrade-openacs-files.html,
	  packages/acs-core-docs/www/upgrade-overview.html,
	  packages/acs-core-docs/www/upgrade-supporting.html,
	  packages/acs-core-docs/www/upgrade.html,
	  packages/acs-core-docs/www/uptime.html,
	  packages/acs-core-docs/www/variables.html,
	  packages/acs-core-docs/www/win2k-installation.html,
	  packages/acs-core-docs/www/files/openacs.txt,
	  packages/acs-core-docs/www/files/tutorial/myfirstpackage-procs.tcl,
	  packages/acs-core-docs/www/xml/Makefile,
	  packages/acs-core-docs/www/xml/fo.xsl,
	  packages/acs-core-docs/www/xml/openacs.xsl,
	  packages/acs-core-docs/www/xml/releasing-openacs.xml,
	  packages/acs-core-docs/www/xml/variables.ent,
	  packages/acs-core-docs/www/xml/developers-guide/cvs.xml,
	  packages/acs-core-docs/www/xml/developers-guide/db-api.xml,
	  packages/acs-core-docs/www/xml/developers-guide/form-builder.xml,
	  packages/acs-core-docs/www/xml/developers-guide/i18n.xml,
	  packages/acs-core-docs/www/xml/developers-guide/packages.xml,
	  packages/acs-core-docs/www/xml/developers-guide/permissions.xml,
	  packages/acs-core-docs/www/xml/developers-guide/submissions.xml,
	  packages/acs-core-docs/www/xml/developers-guide/tutorial-advanced.xml,
	  packages/acs-core-docs/www/xml/developers-guide/tutorial-db.xml,
	  packages/acs-core-docs/www/xml/developers-guide/tutorial-debug.xml,
	  packages/acs-core-docs/www/xml/developers-guide/tutorial-pages.xml,
	  packages/acs-core-docs/www/xml/developers-guide/tutorial.xml,
	  packages/acs-core-docs/www/xml/engineering-standards/eng-standards-versioning.xml,
	  packages/acs-core-docs/www/xml/for-everyone/acs-faq.xml,
	  packages/acs-core-docs/www/xml/for-everyone/release-notes.xml,
	  packages/acs-core-docs/www/xml/install-guide/aolserver4.xml,
	  packages/acs-core-docs/www/xml/install-guide/configuring.xml,
	  packages/acs-core-docs/www/xml/install-guide/database-maintenance.xml,
	  packages/acs-core-docs/www/xml/install-guide/maintenance.xml,
	  packages/acs-core-docs/www/xml/install-guide/openacs.xml,
	  packages/acs-core-docs/www/xml/install-guide/oracle.xml,
	  packages/acs-core-docs/www/xml/install-guide/os.xml,
	  packages/acs-core-docs/www/xml/install-guide/other-software.xml,
	  packages/acs-core-docs/www/xml/install-guide/overview.xml,
	  packages/acs-core-docs/www/xml/install-guide/postgres.xml,
	  packages/acs-core-docs/www/xml/install-guide/recovery.xml,
	  packages/acs-core-docs/www/xml/install-guide/software.xml,
	  packages/acs-core-docs/www/xml/install-guide/upgrade.xml,
	  packages/acs-core-docs/www/xml/kernel/groups-requirements.xml,
	  packages/acs-kernel/acs-kernel.info,
	  packages/acs-lang/acs-lang.info, packages/acs-mail/acs-mail.info,
	  packages/acs-messaging/acs-messaging.info,
	  packages/acs-reference/acs-reference.info,
	  packages/acs-service-contract/acs-service-contract.info,
	  packages/acs-subsite/acs-subsite.info,
	  packages/acs-tcl/acs-tcl.info,
	  packages/acs-templating/acs-templating.info,
	  packages/ref-timezones/ref-timezones.info,
	  packages/search/search.info: adjustments for OpenACS 5.1.1
	  release, including release numbers and help text.

2004-07-05 12:44  joel

	* ChangeLog: updated for 5.1.1

2004-07-05 07:24  jeffd

	* packages/acs-core-docs/www/: tutorial-css-layout.html,
	  tutorial-html-email.html: regen html docs

2004-07-05 04:34  jeffd

	* packages/acs-templating/resources/lists/: list.adp, table.adp:
	  add a conditional so if bulk_action_method not defined it
	  defaults to GET resolves bug 1951

2004-07-05 00:31  joela

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/upgrade/upgrade-5.1.1-5.1.2.sql,
	  sql/oracle/upgrade/upgrade-5.1.1d2-5.1.1d3.sql,
	  sql/postgresql/upgrade/upgrade-5.1.1-5.1.2.sql,
	  sql/postgresql/upgrade/upgrade-5.1.1d2-5.1.1d3.sql: moved the
	  5.1.1-5.1.2 upgrade script back to 5.1.1d2-5.1.1d3 and changed
	  info file from 5.1.2 to 5.1.1d3, to maintain consistency with
	  core release conventions.

2004-07-04 04:22  jeffd

	* packages/acs-content-repository/tcl/filter-procs.tcl: missing )
	  for $content(mime_type breaks generated templates resolves bug
	  1952 (from head)

2004-07-02 16:21  gabrielb

	* www/blank-master.adp: Moved the textarea out of <head> and added
	  required fields so it validates properly on validator.w3.org.

2004-07-02 09:26  jader

	* packages/acs-admin/www/developer.adp: Bug 1944: spelling mistake

2004-07-02 05:37  jeffd

	* packages/acs-subsite/www/user/portrait/upload-2-postgresql.xql:
	  somehow had a oacs-5-0 version of this file, fix for n_bytes on
	  portrait upload

2004-07-02 04:40  jeffd

	* packages/acs-subsite/www/user/portrait/: upload-2-oracle.xql,
	  upload-2.tcl: remove inline sql from upload-2.tcl, clean up code,
	  set content_length on new upload

2004-07-01 13:18  donb

	*
	  packages/acs-kernel/sql/postgresql/upgrade/upgrade-5.1.1d1-5.1.1d2.sql:
	  Wouldn't let me tag after adding to HEAD so am committing
	  directly...

2004-07-01 13:12  donb

	*
	  packages/acs-kernel/sql/postgresql/upgrade/upgrade-5.1.1d1-5.1.1d2.sql:
	  Oops did this wrong ... want to do exactly what Andrew did for
	  consistency

2004-07-01 13:09  donb

	*
	  packages/acs-kernel/sql/postgresql/upgrade/upgrade-5.1.1d1-5.1.1d2.sql:
	  Upgrade to apply previous register parameter bug fix

2004-07-01 10:15  jeffd

	* packages/acs-content-repository/tcl/: content-folder-procs.tcl,
	  test/content-item-test-procs.tcl,
	  test/content-revision-test-procs.tcl: add a test for is_empty,
	  untabify the test files, fix some var_list problems

2004-07-01 09:45  jeffd

	* packages/acs-content-repository/tcl/: content-folder-procs.tcl,
	  content-item-procs.tcl: some tweaks for content-item funcs, make
	  them return package_exec_plsql return val, move had a bug

2004-07-01 09:33  jeffd

	* packages/acs-content-repository/tcl/content-item-procs.tcl: add
	  define_function_args definitions for most functions, bump to
	  5.2.0d5, upgrade script

2004-07-01 06:01  jeffd

	* packages/acs-authentication/tcl/authority-procs.tcl: the sequence
	  for authority_id should be acs_object_id_seq not
	  auth_authority_id_seq (which does not exist)

2004-06-30 13:04  andrewg

	*
	  packages/acs-kernel/sql/oracle/upgrade/upgrade-5.1.1d1-5.1.1d2.sql:
	  Update to apm package body in v1.26.2.1 of apm-create.sql,to
	  include a bugfix/simplication to the cursor in
	  apm.register_parameter.

2004-06-30 11:16  donb

	* packages/acs-kernel/sql/postgresql/apm-create.sql: Ported
	  Andrew's Oracle register parameter patch.

2004-06-30 00:40  joela

	* packages/acs-core-docs/www/tutorial-caching.html: added list
	  wrapper to caching example

2004-06-29 09:38  jader

	* www/site-master.adp: Changed wording from users to members. See
	  http://openacs.org/forums/message-view?message_id=192598

2004-06-29 08:50  joela

	* packages/acs-core-docs/www/: tutorial-caching.html,
	  tutorial-css-layout.html, tutorial-schedule-procs.html: added
	  advanced tutorial notes on caching and on scheduled procs

2004-06-28 08:41  juny

	* packages/acs-content-repository/tcl/: content-folder-procs.tcl,
	  content-item-procs.tcl: minor bug fixes: corrected list that is
	  passed on package_exec_plsql -var_list, added definition of some
	  plsql procs, added content::item::copy, bump up for version
	  needed

2004-06-27 17:10  daveb

	* packages/acs-content-repository/tcl/content-item-procs.tcl: Fix
	  content::item::update to correctly extract the attributes from
	  within the list.

2004-06-27 12:01  daveb

	* packages/acs-content-repository/tcl/content-revision-procs.tcl:
	  Make item_id required for content::revision::new

2004-06-27 04:30  joela

	* packages/acs-authentication/catalog/:
	  acs-authentication.da_DK.ISO-8859-1.xml,
	  acs-authentication.es_ES.ISO-8859-1.xml,
	  acs-authentication.nl_NL.ISO-8859-1.xml,
	  acs-authentication.pl_PL.utf-8.xml: adding new translation
	  catalogs

2004-06-27 04:25  joela

	* packages/:
	  acs-authentication/catalog/acs-authentication.ar_LB.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.es_GT.ISO-8859-1.xml,
	  acs-authentication/catalog/acs-authentication.fa_IR.utf-8.xml,
	  acs-authentication/catalog/acs-authentication.zh_CN.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.AR_EG.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.AR_LB.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.RO_RO.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ar_EG.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ar_LB.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.da_DK.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.en_US.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_GT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.nl_NL.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.pl_PL.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ro_RO.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.zh_CN.utf-8.xml,
	  acs-lang/catalog/acs-lang.AR_EG.utf-8.xml,
	  acs-lang/catalog/acs-lang.AR_LB.utf-8.xml,
	  acs-lang/catalog/acs-lang.RO_RO.utf-8.xml,
	  acs-lang/catalog/acs-lang.TH_TH.utf-8.xml,
	  acs-lang/catalog/acs-lang.ar_EG.utf-8.xml,
	  acs-lang/catalog/acs-lang.ar_LB.utf-8.xml,
	  acs-lang/catalog/acs-lang.da_DK.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.de_DE.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.en_US.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_GT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.fa_IR.utf-8.xml,
	  acs-lang/catalog/acs-lang.fi_FI.utf-8.xml,
	  acs-lang/catalog/acs-lang.nl_NL.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ro_RO.utf-8.xml,
	  acs-lang/catalog/acs-lang.th_TH.utf-8.xml,
	  acs-lang/catalog/acs-lang.zh_CN.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.AR_EG.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.AR_LB.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.RO_RO.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ar_EG.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ar_LB.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.da_DK.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_GT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.nl_NL.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ro_RO.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.zh_CN.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.AR_EG.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.AR_LB.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.FA_IR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.RO_RO.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ar_EG.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ar_LB.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.es_GT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.fa_IR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ro_RO.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.zh_CN.utf-8.xml,
	  acs-templating/catalog/acs-templating.RO_RO.utf-8.xml,
	  acs-templating/catalog/acs-templating.ar_LB.utf-8.xml,
	  acs-templating/catalog/acs-templating.da_DK.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_ES.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_GT.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.nl_NL.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.ro_RO.utf-8.xml,
	  acs-templating/catalog/acs-templating.zh_CN.utf-8.xml: updated
	  catalog files for 5.1.1; bug fix for 1519 means all catalog files
	  for ar_EG, ar_LB, zh_CN, th_TH, ro_RO, fa_IR, and hr_HR were
	  renamed to correct capitalization errors

2004-06-26 07:04  joela

	* packages/acs-lang/sql/:
	  oracle/upgrade/upgrade-5.1.1d1-5.1.1d2.sql,
	  postgresql/upgrade/upgrade-5.1.1d1-5.1.1d2.sql: typo in fa_IR
	  upgrade

2004-06-26 06:52  joela

	* packages/acs-lang/: catalog/acs-lang.es_ES.ISO-8859-1.xml,
	  sql/oracle/ad-locales.sql,
	  sql/oracle/upgrade/upgrade-5.1.1d1-5.1.1d2.sql,
	  sql/postgresql/ad-locales.sql,
	  sql/postgresql/upgrade/upgrade-5.1.1d1-5.1.1d2.sql: fixing bug
	  1519 - misnamed locales

2004-06-24 17:16  andrewg

	* packages/acs-kernel/sql/oracle/apm-create.sql: Simplifying the
	  cursor in apm.register_parameter to fix a bug, and make it
	  simpler.  Don's doing the PG version.

2004-06-24 03:44  joela

	* packages/acs-core-docs/www/: tutorial-css-layout.html,
	  files/dotlrn-style-1.html, files/dotlrn-style-2.html,
	  images/dotlrn-style-1.png, images/dotlrn-style-2.png,
	  images/dotlrn-style-3.png: added tutorial section on css layout

2004-06-24 02:42  jeffd

	* packages/acs-core-docs/www/: tutorial-hierarchical.html,
	  tutorial-html-email.html: regen html docs, add the html email
	  tutorial file.

2004-06-23 11:37  olah

	* www/site-master.tcl: Using site_node::get_package_url to check
	  for mounted curriculum instances, now that it is implemented with
	  an nsv of url keyed by package key. Lars added this back in mars
	  and I hadn't noticed ...

2004-06-21 12:17  janine

	* packages/acs-lang/www/admin/message-list.tcl: query didn't work
	  in oracle (should be in an xql file but at least this will make
	  it work)

2004-06-21 06:18  maltes

	* etc/keepalive/: keepalive-config.tcl, keepalive-cron.sh,
	  keepalive.sh: Added cron support for keepalive

2004-06-19 14:06  janine

	* packages/: acs-kernel/acs-kernel.info,
	  acs-subsite/acs-subsite.info, acs-tcl/tcl/admin-init.tcl: fix
	  from Sloan: allow admin to restrict to registered users on a
	  per-subsite basis

2004-06-19 13:54  janine

	* packages/acs-subsite/www/user/portrait/index.adp: fix from Sloan:
	  only show 'this is what we show other users' message to admins,
	  which includes the user looking at their own portrait

2004-06-16 01:53  maltes

	* packages/acs-service-contract/www/index.tcl: Page broken due to
	  Orphans not having an owner. I took the owner out, if someone
	  disagrees, please fix ...

2004-06-15 08:52  andrewg

	* packages/acs-tcl/tcl/site-nodes-procs.tcl: Fixed a scalability
	  problem in site_node::update_cache

2004-06-15 08:48  andrewg

	*
	  packages/acs-kernel/sql/oracle/upgrade/upgrade-5.0.0b4-5.0.0b5.sql:
	  Applied Dave's bugfix for \#1419 here to fix the same bug

2004-06-14 10:55  janine

	* packages/acs-tcl/tcl/text-html-procs.tcl: fix from Sloan - 100
	  iterations was not enough in some cases

2004-06-14 10:49  janine

	* packages/acs-tcl/tcl/: rollout-email-init.tcl,
	  rollout-email-procs.tcl: update from Sloan

2004-06-13 11:44  daveb

	* packages/acs-content-repository/tcl/: content-extlink-procs.tcl,
	  content-item-procs.tcl, content-keyword-procs.tcl,
	  content-revision-procs.tcl, content-symlink-procs.tcl,
	  content-template-procs.tcl, content-type-procs.tcl: Fix var_list
	  to be a list of lists.

2004-06-12 07:27  maltes

	* etc/keepalive/keepalive-cron.sh: Added keepalive-cron.sh to be
	  used in a cron environment, where root does not get an email
	  every two minutes

2004-06-12 04:00  maltes

	* packages/acs-core-docs/www/: xml/install-guide/aolserver4.xml,
	  aolserver4.html: Changed to use latest AOLserver (40r5). Fixed
	  small inconsistency.

2004-06-11 13:43  janine

	*
	  packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.6.2-4.6.3.sql:
	  list columns to insert into (fix from Sloan)

2004-06-11 13:42  janine

	*
	  packages/acs-content-repository/sql/oracle/upgrade/upgrade-4.6.1-4.6.2.sql:
	  merge fix from head

2004-06-11 03:17  jeffd

	* packages/acs-core-docs/www/tutorial-hierarchical.html:
	  regenerated docs, removed a couple of deprecated files, add a new
	  one

2004-06-09 23:41  maltes

	* etc/config.tcl: Changed the maxinput to 5MB with 1024*1024
	  syntax. Added recvwait parameter.

2004-06-09 18:14  daveb

	* packages/acs-content-repository/tcl/test/:
	  content-item-test-procs.tcl, content-revision-test-procs.tcl:
	  Initital tests for CR Tcl API.

2004-06-09 18:13  daveb

	* packages/acs-content-repository/tcl/: content-extlink-procs.tcl,
	  content-folder-procs.tcl, content-item-procs.tcl,
	  content-keyword-procs.tcl, content-revision-procs.tcl,
	  content-symlink-procs.tcl, content-template-procs.tcl,
	  content-type-procs.tcl: Adding preliminary Tcl API. See TIP#67.
	  Thanks to Jeff Davis for the script that converted the pl/sql
	  procedures to tcl procedures.

2004-06-08 01:52  maltes

	* etc/config.tcl: Added maxinput parameter. Set it to 5MB, which
	  allows OpenACS parameter to kick in more effectively. See
	  http://openacs.org/forums/message-view?message_id=161698

2004-06-07 09:56  jeffd

	*
	  packages/acs-kernel/sql/postgresql/upgrade/upgrade-5.0d2-5.0d3.sql:
	  do not create the cc_users_of_package_id view since we dont
	  create application_users view anymore so its not used

2004-06-02 09:26  lars

	* packages/acs-tcl/tcl/: acs-permissions-procs.tcl,
	  security-procs.tcl: Fixed bug when bumping to login page from
	  within permission_p, but permission_p was called form within
	  ad_get_login_url, which is the proc that determines which login
	  page to use

2004-06-01 16:24  donb

	* packages/acs-content-repository/: acs-content-repository.info,
	  sql/oracle/upgrade/upgrade-4.7d6-5.0d1.sql,
	  sql/oracle/upgrade/upgrade-5.1.0-5.1.1.sql,
	  sql/oracle/upgrade/upgrade-5.1.1-5.1.2.sql,
	  sql/postgresql/upgrade/upgrade-5.1.1-5.1.2.sql: I'd accidently
	  changed some old upgrade files to use edit_name rather than
	  rename (for Oracle 9.2) and had not added the needed upgrade
	  files for 5.1.

2004-06-01 08:35  peterm

	* packages/acs-subsite/www/admin/: parties/new.tcl, users/new.tcl:
	  Making call to relation_add (on pages parties/new and users/new)
	  not use the form_id and variable_prefix switches as doing so
	  would make package_instantiate_object look for a rel_id in the
	  form which wasn't there. This is analogous to fix in version 1.5
	  of groups/new.

2004-05-31 11:51  gabrielb

	* packages/acs-lang/tcl/: lang-util-procs-oracle.xql,
	  lang-util-procs-postgresql.xql, locale-procs.tcl: - There's no
	  consistent use of upper/lower case in the locale and language
	  columns of the ad_locales table so we need to do case insensitive
	  searches.  - ad_locales defines the language column as char(3).
	  Searches for 2-letter   language codes fail because (at least on
	  PG) all 2-letter entries have a   trailing space in the database.

2004-05-31 10:28  gabrielb

	* packages/acs-templating/tcl/spellcheck-init.tcl: Handle instances
	  where ad_locales does not contain the 2-letter language being
	  sought.

2004-05-28 10:08  jader

	* packages/acs-kernel/acs-kernel.info: Removed a security hole in
	  new installations: see:
	  http://openacs.org/forums/message-view?message_id=187394

2004-05-26 13:51  tils

	* packages/acs-lang/www/admin/message-usage-include.tcl: The 'Show
	  files that use this message' functionality used to also find keys
	  like acs-kernel.foo_bar when searching for acs-kernel.foo, fixed.
	  Not touching the acs-lang.localization-* lookups because I don't
	  know how to test this.

2004-05-26 12:10  donb

	* packages/acs-content-repository/sql/postgresql/:
	  content-folder.sql, content-item.sql: Minor cosmetic change vs.
	  1858

2004-05-26 12:01  daveb

	* packages/acs-content-repository/tcl/revision-procs.tcl: Return
	  content as string when string_p is true for file storage type.
	  Fixed bug#1823

2004-05-26 11:50  donb

	* packages/acs-content-repository/sql/oracle/: content-folder.sql,
	  content-item.sql, packages-create.sql,
	  upgrade/upgrade-5.1.0-5.1.1.sql: Further fixing of bug #1858

2004-05-26 11:43  daveb

	* packages/acs-content-repository/tcl/filter-procs.tcl:
	  Check for html before processing content through
	  ad_html_text_convert.

2004-05-26 11:12  donb

	* packages/acs-content-repository/: sql/oracle/content-folder.sql,
	  sql/oracle/content-test.sql,
	  sql/oracle/upgrade/upgrade-4.7d6-5.0d1.sql,
	  sql/postgresql/content-folder.sql,
	  sql/postgresql/content-item.sql, sql/postgresql/content-test.sql,
	  www/doc/api/folder.html, www/doc/api/item.html: Fixed Bug #1858:
	  qualifying "rename" works in 8i bug chokes in 9i causing the
	  reported error on installation.   Fixed by changing the name to
	  "edit_name" and implemented it for PG as well (to keep names
	  similar)

2004-05-26 09:05  eduardop

	* packages/acs-lang/acs-lang.info: Fix for Bug #1834: set
	  SystemTimezone default="UTC"

2004-05-26 00:56  joela

	* packages/acs-core-docs/www/files/create-new-catalog.sh: added
	  script from Rocael for cloning locale catalogs; notes on plural

2004-05-21 16:15  lars

	* packages/acs-subsite/tcl/subsite-procs.tcl: Do not require
	  subsite_id to subsite::get_element

2004-05-21 16:11  lars

	* packages/acs-lang/www/admin/message-list.adp: Clearer explanation
	  on the import/export links

2004-05-20 10:50  lars

	* packages/acs-tcl/tcl/acs-permissions-procs.tcl: Formatting
	  change: && at beginning of lines, instead of end

2004-05-20 10:31  lars

	* packages/acs-tcl/tcl/acs-permissions-procs.tcl: Make the
	  automatic detection of expired logins work when you explicitly
	  supply party_id 0 as well

2004-05-20 09:38  tilmanns

	* packages/acs-templating/tcl/date-procs.tcl: Trim leading zeros
	  since month_data is keyed by month number without leading zero,
	  and I have seen at least once getting it a month value with
	  leading zero from somewhere.

2004-05-18 09:23  rocaelh

	* packages/acs-tcl/tcl/utilities-procs.tcl: attribute of a child
	  node function

2004-05-18 09:15  rocaelh

	* packages/acs-tcl/tcl/30-xml-utils-procs.tcl: xpath wrapper
	  function

2004-05-14 06:12  jeffd

	* packages/acs-templating/: resources/lists/list.adp,
	  resources/lists/table.adp, tcl/list-procs.tcl: parameterize the
	  method for bulk actions, default is get since that used to be the
	  hard coded value

2004-05-13 09:43  lars

	* packages/acs-subsite/www/resources/http.png: Added http link icon

2004-05-13 08:16  lars

	* packages/acs-subsite/catalog/acs-subsite.en_US.ISO-8859-1.xml:
	  Show bio/portrait icon for members portlet

2004-05-13 08:05  lars

	* packages/acs-subsite/www/shared/community-member.adp: Fixed
	  missing @ sign in the inline_portrait_state if statement

2004-05-13 06:29  lars

	* packages/acs-subsite/www/resources/profile-16.png: Added profile
	  icon

2004-05-09 08:32  joela

	* packages/search/catalog/search.en_US.ISO-8859-1.xml: added search
	  includelet; internationalized it.  depends on
	  acs-kernel.common_search, which is on the translation server and
	  should be in 5.1.1

2004-05-06 14:25  daveb

	* packages/acs-content-repository/tcl/revision-procs.tcl: Make sure
	  content_length is returned as 0 if its set to NULL in
	  cr_revisions.

2004-05-05 17:35  daveb

	* packages/acs-content-repository/sql/postgresql/:
	  content-item.sql, upgrade/upgrade-5.1.1d1-5.1.1d2.sql: Fix typo
	  in parameter name, reference to non-existant parameter.  Fixes
	  bug#1793

2004-05-05 17:24  daveb

	* packages/acs-content-repository/acs-content-repository.info: Bump
	  up version number to match upgrade script.

2004-05-05 17:12  daveb

	* packages/acs-content-repository/sql/postgresql/:
	  content-create.sql, upgrade/upgrade-5.1.1d1-5.1.1d2.sql: Fix
	  reference to chid instead of child in cr_items_update_tr. Upgrade
	  script included. Fixes bug#1791

2004-05-05 02:40  maltes

	* packages/acs-subsite/www/members/user-batch-add-2.tcl: Adding
	  users in a subsite per batch did not add them to the subsite as
	  members.

2004-05-04 06:42  joela

	* packages/:
	  acs-authentication/catalog/acs-authentication.en_US.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.AR_EG.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.AR_LB.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.RO_RO.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ast_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ch_zh.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.da_DK.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.de_DE.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.en_US.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.es_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.fi_FI.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.fr_FR.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.gl_ES.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.hu_HU.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.it_IT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ja_JP.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ko_KR.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.ms_my.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.nl_NL.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.nn_NO.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.no_NO.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.pl_PL.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.pt_BR.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.pt_PT.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.ru_RU.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.sv_SE.ISO-8859-1.xml,
	  acs-kernel/catalog/acs-kernel.tr_TR.utf-8.xml,
	  acs-kernel/catalog/acs-kernel.zh_TW.utf-8.xml,
	  acs-lang/catalog/acs-lang.AR_EG.utf-8.xml,
	  acs-lang/catalog/acs-lang.AR_LB.utf-8.xml,
	  acs-lang/catalog/acs-lang.RO_RO.utf-8.xml,
	  acs-lang/catalog/acs-lang.TH_TH.utf-8.xml,
	  acs-lang/catalog/acs-lang.ast_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ch_zh.utf-8.xml,
	  acs-lang/catalog/acs-lang.da_DK.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.de_DE.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.el_GR.utf-8.xml,
	  acs-lang/catalog/acs-lang.en_GB.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.en_US.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.es_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.fi_FI.utf-8.xml,
	  acs-lang/catalog/acs-lang.fr_FR.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.gl_ES.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.hu_HU.utf-8.xml,
	  acs-lang/catalog/acs-lang.it_IT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ja_JP.utf-8.xml,
	  acs-lang/catalog/acs-lang.ko_KR.utf-8.xml,
	  acs-lang/catalog/acs-lang.ms_my.utf-8.xml,
	  acs-lang/catalog/acs-lang.nl_NL.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.nn_NO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.no_NO.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.pl_PL.utf-8.xml,
	  acs-lang/catalog/acs-lang.pt_BR.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.pt_PT.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.ru_RU.utf-8.xml,
	  acs-lang/catalog/acs-lang.sh_HR.utf-8.xml,
	  acs-lang/catalog/acs-lang.sv_SE.ISO-8859-1.xml,
	  acs-lang/catalog/acs-lang.tr_TR.utf-8.xml,
	  acs-lang/catalog/acs-lang.zh_TW.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.AR_EG.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.AR_LB.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.RO_RO.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ast_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ch_zh.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.da_DK.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.de_DE.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.el_GR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.en_US.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.es_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.fi_FI.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.fr_FR.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.gl_ES.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.hu_HU.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.it_IT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ja_JP.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ko_KR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.ms_my.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.nl_NL.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.nn_NO.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.no_NO.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.pl_PL.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.pt_BR.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.pt_PT.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.ru_RU.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.sh_HR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.sv_SE.ISO-8859-1.xml,
	  acs-subsite/catalog/acs-subsite.tr_TR.utf-8.xml,
	  acs-subsite/catalog/acs-subsite.zh_TW.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.AR_EG.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.AR_LB.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.FA_IR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.RO_RO.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ast_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ch_zh.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.da_DK.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.de_DE.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.en_US.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.es_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.fi_FI.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.fr_FR.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.gl_ES.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.hu_HU.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.it_IT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ja_JP.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ko_KR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.ms_my.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.nl_NL.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.nn_NO.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.no_NO.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.pl_PL.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.pt_BR.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.pt_PT.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.ru_RU.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.sh_HR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.sv_SE.ISO-8859-1.xml,
	  acs-tcl/catalog/acs-tcl.tr_TR.utf-8.xml,
	  acs-tcl/catalog/acs-tcl.zh_TW.utf-8.xml,
	  acs-templating/catalog/acs-templating.RO_RO.utf-8.xml,
	  acs-templating/catalog/acs-templating.ch_zh.utf-8.xml,
	  acs-templating/catalog/acs-templating.da_DK.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.de_DE.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.en_US.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.es_ES.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.fi_FI.utf-8.xml,
	  acs-templating/catalog/acs-templating.fr_FR.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.hu_HU.utf-8.xml,
	  acs-templating/catalog/acs-templating.it_IT.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.ko_KR.utf-8.xml,
	  acs-templating/catalog/acs-templating.ms_my.utf-8.xml,
	  acs-templating/catalog/acs-templating.nl_NL.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.nn_NO.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.no_NO.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.pt_BR.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.sv_SE.ISO-8859-1.xml,
	  acs-templating/catalog/acs-templating.zh_TW.utf-8.xml: added
	  current translations

2004-05-04 05:11  jeffd

	* packages/acs-subsite/www/user/portrait/upload-2-oracle.xql: set
	  content_length field in cr_revisions for uploaded portrait

2004-05-04 05:06  jeffd

	* packages/acs-subsite/www/user/portrait/upload-2-postgresql.xql:
	  set content_length field in cr_revisions for uploaded portrait

2004-05-02 12:13  daveb

	*
	  packages/acs-content-repository/sql/oracle/upgrade/upgrade-5.1.0-5.1.1.sql:
	  Fix content_folder.rename.

2004-05-01 01:32  jeffd

	* packages/acs-content-repository/sql/postgresql/content-type.sql:
	  content_type__drop_type doesn't work on OS X (7.2 was matching
	  sp[uriously) bug 1738 patch 498 Jarkko Laine

2004-04-30 01:59  lars

	* packages/acs-lang/www/admin/edit-localized-message.tcl:
	  export_vars -base instead of ?[export_vars]

2004-04-29 19:49  daveb

	* packages/acs-content-repository/sql/oracle/content-folder.sql:
	  Fix content_folder.rename to actually change the label or
	  description if that parameter is specified.

